Index: /extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4058)
+++ /extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4059)
@@ -62,4 +62,10 @@
   $page['tab'] = $_GET['tab'];
 
+ $icon_path = 'template/yoga/icon/help.png';
+
+$tabhelp=  '  <img src="'.PHPWG_ROOT_PATH. $icon_path .'" class="button" alt="(?)"> ';
+
+ 
+
 $tabsheet = new tabsheet();
 $tabsheet->add('mail_superv_admin',
@@ -69,6 +75,6 @@
                l10n('Tab_test'),
                $my_base_url.'&amp;tab=mail_superv_test');
-$tabsheet->add('mail_superv_help',
-               l10n('Tab_help'),
+$tabsheet->add('mail_superv_help',$tabhelp
+              ,
                $my_base_url.'&amp;tab=mail_superv_help');
 $tabsheet->select($page['tab']);
@@ -99,6 +105,21 @@
 //=============================================================
 if ( isset($_POST['refresh']) ) {
-   	 
-  
+   	 	
+	if ($mails_données['nb_mails'] == 0 )  
+	    $mails_données['date_mail'] = time();	
+	
+	if ($mails_données['nb_spams'] == 0 )
+	   $mails_données['date_spam'] = time();
+	
+	
+	if ($mails_données['quarantaine'] == false)
+	{ $mails_données['reste'] = 0;
+	  $mails_données['date_quarantaine']=time();
+	 }
+     sauve_données();
+	$mails_données = Get_Datas() ; 
+ $erreur_message .="<DIV  > <input name='' type='checkbox' value='' /> </DIV>" ;
+ $aff_nb = false ;
+ 
 	}
 
@@ -111,5 +132,4 @@
 	
 	$mails_données['reste'] = 0;
-	
 	$mails_données['quarantaine']=false;
 	
@@ -155,6 +175,5 @@
 
 $quarantaine= $mails_données['quarantaine'];  	
-
-	
+$PHPWG_VERSION=PHPWG_VERSION;
 
 $template->assign(
@@ -179,5 +198,5 @@
 	 
 	 'quarantaine' => $mails_données['quarantaine'] ,
-  	'date_quarantaine' => "'".date(l10n('formatdate'),$mails_données['date_quarantaine'])."'" ,
+  	'date_quarantaine' => "'".date(l10n('formatdate'),time()+$reste)."'" ,
 	'quarantaine_periode' => "'".$mails_données['quarantaine_periode']."'" ,
      'reste' => "'".int_to_heure($reste)."'",
@@ -186,5 +205,6 @@
 	'header_text' => "'".$mails_données['header_text']."'" ,
 	
-
+ 'PHPWG_VERSION' =>	 PHPWG_VERSION ,
+	 
 	
 		 				)
@@ -280,4 +300,6 @@
 					)
 			);		
+	$aff_nb = false;
+	$infos_message="";
 	 
 	 	$template->set_filenames(array('plugin_admin_content' => realpath(MAIL_SUPERV_PATH . 'admin/mail_superv_help.tpl')));
@@ -289,4 +311,6 @@
  }
 //================================================================================
+
+
 	if  ( $mails_données['reste'] < 0 ) {
 	    $mails_données['quarantaine'] =false ;
@@ -322,4 +346,6 @@
 		 $infos_message .= "\n".'Spams : '.$mails_données['nb_spams']. '  \\  ' . $mails_données['nb_spams_maxi'];
 		}
+		
+		  
 		if  ($infos_message != "")  
 		 array_push($page['infos'], $infos_message);
Index: /extensions/Mail_supervisor/admin/mail_superv_admin.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_admin.tpl	(revision 4058)
+++ /extensions/Mail_supervisor/admin/mail_superv_admin.tpl	(revision 4059)
@@ -7,30 +7,37 @@
   <fieldset>
     <legend>{'free_admin_titre'|translate}</legend>
+	  <fieldset>
+    <legend>{'options'|translate}</legend>
+	
     <table>
-<tr><td><input type="checkbox" name="check_mailto" value="on" {$check_mailto} />&nbsp;{'check_mailto'|translate}</td></tr>
-<tr><td><input type="checkbox" name="check_header_carbon" value="on" {$check_header_carbons} />&nbsp;{'check_header_carbon'|translate}</td></tr>
-<tr>
-<td><input type="checkbox" name="check_header_text" value="on" {$check_header_text} />&nbsp;{'check_header_text'|translate}</td>
+<tr><td><input type="checkbox" name="check_mailto" value="on" {$check_mailto} />&nbsp;{'check_mailto'|translate}</td><td><input type="checkbox" name="check_header_carbon" value="on" {$check_header_carbons} />&nbsp;{'check_header_carbon'|translate}</td>
+  { if  $PHPWG_VERSION <= '2.0.4' } 
+<td><input type="checkbox" name="check_header_text" value="on" {$check_header_text} />&nbsp;
+{'check_header_text'|translate}</td>
 <td><input type="text" name="header_text"  value={$header_text} /></td>
-
-
-</tr><tr>
-<td>{'free_nb'|translate}</td><td> </td><td>{'free_depuis_le'|translate}</td><td>{'free_nb_maxi'|translate}</td>
+	{/if}
+</tr>
+</table>
+</fieldset>
+<fieldset>
+<legend>{'config'|translate}</legend>
+<table>
+<tr><td>{'free_nb'|translate}</td><td> </td><td>{'free_depuis_le'|translate}</td>
+<td>{'free_nb_maxi'|translate}</td>
+<td>{'periode'|translate}</td>
+<td>{'reste'|translate}</td>
 </tr>
 <tr>
 
-<td><input type="text" name="nb_mails"  value={$nb_mails} /></td>
-	   
-<td>{'free_mails'|translate}</td>	   
+  <td><input type="text" name="nb_mails" size='10%' value={$nb_mails} /></td>
+  <td>{'free_mails'|translate}</td>	   
 	   <td><input type="text" name="date_mail"  value={$date_mail} /></td>
 	   <td><input type="text" name="nb_mails_maxi" size="10%" value={$nb_mails_maxi} /></td>
-	    <td><input type="text" name="nb_mails_periode" size="10%" value={$nb_mails_periode} />
-</td>
-			
+	    <td><input type="text" name="nb_mails_periode" size="10%" value={$nb_mails_periode} /></td>
 		<td><input type="text" name="time_mails_reste" size="50%" value={$time_mails_reste} /></td>  
-		 </tr> 
+    </tr> 
  
 	   <tr>  
-	   <td><input type="text" name="nb_spams"  value={$nb_spams} /></td>
+	   <td><input type="text" name="nb_spams"  size='10%'  value={$nb_spams} /></td>
 	   <td>{'free_spams'|translate}</td>
 
@@ -39,8 +46,11 @@
 	    <td><input type="text" name="nb_spams_periode" size="10%" value={$nb_spams_periode} /></td>
 		<td><input type="text" name="time_spams_reste" size="50%" value={$time_spams_reste} /></td>  
-						
-
 	    </tr> 
-		
+    </table>
+ </fieldset>
+ 
+<fieldset>
+    <legend>{'state'|translate}</legend>
+	       <table >		
 	   <tr>  
 	 	
@@ -48,6 +58,5 @@
 		<td style="color:#FF0000">{'free_quarantaine'|translate}</td>'
 			 <td> </td>
-		 	<td><input type="text" name="date_quarantaine"  value={$date_quarantaine} />
-		 	</td><td> </td>
+		 	<td><input type="text" name="date_quarantaine"  value={$date_quarantaine} />		 	</td><td> </td>
 			
 		  <td><input type="text" name="quarantaine_periode" size="10%" value={$quarantaine_periode} /></td>
@@ -61,15 +70,13 @@
 		 <td><input type="text" name="quarantaine_periode" size="10%" value={$quarantaine_periode} /></td>
 		
-	 {/if}	
-	
-	
-	      </tr> 		
-	   
+	 {/if}	      </tr> 	
+	 	
     </table>
-
-	      <fieldset>
+ </fieldset>
+ 
+<fieldset>
     <legend>{'free_admin_description'|translate}</legend>
 	       <table >
-           <tr><td><textarea name="content"  rows="18" cols="100">{$message}</textarea></td>         </tr> 
+           <tr><td><textarea name="content"  rows="11" cols="100">{$message}</textarea></td>         </tr> 
 		 
            </table>
Index: /extensions/Mail_supervisor/admin/mail_superv_help.tpl
===================================================================
--- /extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 4058)
+++ /extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 4059)
@@ -1,13 +1,160 @@
-<div class="titrePage">
-	<h2>{'supervisor'|translate}</h2> 
+<div class="instructions" >
+ 
+<h2>{'Tab_help'|translate}</h2>
+<fieldset style=" position:relative ; top:50px">
+<div id="instructionFonction" class="instructionBlock" >
+
+  <div
+    id="fonction_header"
+    class="instructionBlockHeaderCollapsed"
+    onclick="blockToggleDisplay('fonction_header', 'Fonction')"
+  ><span>
+   Fonctionnalités
+  </span></div>
+  <div
+    id="Fonction"
+    class="instructionBlockContent"
+    style="display:none"
+  >
+    <p>Supervise le gestion des mails.</p>
+    <ol>      
+	  <li>Compte le nombre de mails envoyés par le site.</li>
+      <li>Détecte les différents messages d'alertes générés par la fonction mail()</li>
+      <li>Compte le nombre de mails considéré par le FAI comme spams.</li>
+      <li>Mise en quarantaine si le nombre de mails envoyés est supérieur à la valeur maxi défini par période prédéterminée.</li>
+
+      <li>Mise en quarantaine si le nombre de spams détectés est supérieur à la valeur maxi défini par période prédéterminée.</li>
+      <li>Mise en quarantaine si détection de "TROP DE SPAMS" pour une période déterminée.</li>
+    </ol>
+    <p></p>
+  </div> <!-- Fonction -->
+</div> <!-- Fonctions -->
+
+<div id="instructionOPTION" class="instructionBlock">
+  <div
+    id="OPTION_header"
+    class="instructionBlockHeaderCollapsed"
+    onclick="blockToggleDisplay('OPTION_header', 'OPTION_content')"
+  ><span>
+   {'Options'|translate}
+  </span></div>
+  <div
+    id="OPTION_content"
+    class="instructionBlockContent"
+    style="display:none"
+  >
+
+ 
+
+<ol>
+  <li>{'check_mailto'|translate} </li>
+   <ul>
+ <li>En voie une copie du mail au Webmaster. </li> 
+</ul>
+  <li>{'check_header_carbon'|translate}</li>
+  
+   <ul>
+ <li>Modifie la structure des destnataires en copie carbonne si défaut 'bad syntax'. </li> 
+</ul>
+  <li>{'check_header_text'|translate} </li> 
+  <ul>
+ <li>Si la version piwigo est inférieur à 2.0.5, rajoute un bloc texte dans l' entête de mail. </li> 
+</ul>
+</ol>
+
+
+
+
+  </div> <!-- OPTION_content -->
+</div> <!-- instructionOPTION -->
+
+
+
+<div id="instructionconfiguration" class="instructionBlock">
+  <div
+    id="configuration_header"
+    class="instructionBlockHeaderCollapsed"
+    onclick="blockToggleDisplay('configuration_header', 'configuration_content')"
+  ><span>
+    configuration
+  </span></div>
+  <div
+    id="configuration_content"
+    class="instructionBlockContent"
+    style="display:none"
+  >
+
+<ul>
+
+  <li>{'number'|translate}</li>
+  
+  <li>{'since'|translate} <li>
+    <p></p>
+    <ul>
+      <li>{'max'|translate}</li>
+      <li>{'period'|translate}</li>
+      <li>{'rest'|translate}</li>
+    </ul>
+
+  </li>
+
+</ul>
+  </div> <!-- configuration_content --> 
+</div> <!-- instructionconfiguration -->
+
+
+<div id="instructionetat" class="instructionBlock">
+  <div
+    id="etat_header"
+    class="instructionBlockHeaderCollapsed"
+    onclick="blockToggleDisplay('etat_header', 'etat_content')"
+  ><span>
+    {'state'|translate}
+  </span></div>
+  <div
+    id="etat_content"
+    class="instructionBlockContent"
+    style="display:none"
+  >
+<ul>
+
+  <li></li>
+
+  <li></li>
+
+  
+</ul>
+  </div> <!-- etat_content --> 
+</div> <!-- instructionetat -->
+
+<div id="instructionlastmessage" class="instructionBlock">
+  <div
+    id="lastmessage_header"
+    class="instructionBlockHeaderCollapsed"
+    onclick="blockToggleDisplay('lastmessage_header', 'lastmessage_content')"
+  ><span>
+    {'last'|translate}
+  </span></div>
+  <div
+    id="lastmessage_content"
+    class="instructionBlockContent"
+    style="display:none"
+  >
+<p></p>
+
+<ol>
+
+  <li>.</li>
+
+  <li>.</li>
+</ol>
+
+  <p>.</p>
+
+  </div> <!-- lastmessage_content --> 
+</div> <!-- instructionlastmessage -->
+ <img src="{$smile_bonjour}" />
+ Rédaction en cours....
+ </fieldset>
+
 </div>
-
-<form action="" method="post" name="form">
-
-  <fieldset> 
-
-    <legend>{'Tab_help'|translate}</legend>
-	 <img src="{$smile_bonjour}" />
-  A venir...
-</fieldset>
-</form>
Index: /extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- /extensions/Mail_supervisor/include/fonctions.php	(revision 4058)
+++ /extensions/Mail_supervisor/include/fonctions.php	(revision 4059)
@@ -36,19 +36,19 @@
 
 include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
-
 include_once (MAIL_SUPERV_PATH.'include/function_test_send.php'); 
 
-
-
-
 global $period_search,$period_match,$lang ;
 
 
- load_language('plugin.lang', MAIL_SUPERV_PATH);
-	$period_search=array("D","H","M","S","W");
+    load_language('plugin.lang', MAIL_SUPERV_PATH);
+	$period_search=array("W","D","H","M","S");
 	array_push($period_search,l10n('Week'),l10n('Day'),l10n('Hour'),l10n('Minute'),l10n('Seconde'));
-	
-	$period_match=array(" day"," hour"," minute"," second"," week");	
+	array_push($period_search,l10n('Week').'s',l10n('Day').'s',l10n('Hour').'s',l10n('Minute').'s',l10n('Seconde').'s');
+	
+	
+	$period_match=array(' week',' day',' hour',' minute',' seconde');	
 	array_push($period_match,'week','day','hour','minute','seconde');
+	array_push($period_match,'week','day','hour','minute','seconde');
+	
 
 function sauve_options()
@@ -156,4 +156,15 @@
 {
 global $period_search,$period_match ;
+ if (!isset($period_search)) {
+  	$period_search=array("W","D","H","M","S");
+	array_push($period_search,l10n('Week'),l10n('Day'),l10n('Hour'),l10n('Minute'),l10n('Seconde'));
+	array_push($period_search,l10n('Week').'s',l10n('Day').'s',l10n('Hour').'s',l10n('Minute').'s',l10n('Seconde').'s');
+	
+	
+	$period_match=array(' week',' day',' hour',' minute',' seconde');	
+	array_push($period_match,'week','day','hour','minute','seconde');
+	array_push($period_match,'week','day','hour','minute','seconde');
+	}
+
  $query = "
     SELECT *
Index: /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4058)
+++ /extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4059)
@@ -10,5 +10,5 @@
 $lang['nbm_no_mail_to_send'] = 'Pas de mail à envoyer.';
 */
-
+$lang['state'] = 'Etat';
 $lang['refresh'] = 'Rafraîchir';
 $lang['no_receiver_available'] = 'Il n\'y a pas de destinataire sélectionné.';
@@ -16,5 +16,6 @@
 $lang['mail_not_send'] = 'Le mail n\'a pas été envoyé.';
 $lang['message_to_send'] = 'Message a envoyer.';
-
+$lang['Vérifiez_les_destinataires']='Vérifiez les destinataires:';
+$lang['Détection_de']='Détection de :';
 $lang['Tab_set'] ='Initialisation';
 $lang['Tab_test'] ='Test';
@@ -22,5 +23,5 @@
 
 $lang['Howto'] = 'Gestion des parametres de surveillance d\' envoie des mails.';
-$lang['free_admin_titre'] = 'Administration de Free mail';
+$lang['free_admin_titre'] = 'Administration de '.$lang['supervisor'];
 $lang['free_admin_description'] = 'Dernier message reçu. ';
 $lang['mail_superv_save_config'] = 'Données sauvegardées';
Index: /extensions/Mail_supervisor/main.inc.php
===================================================================
--- /extensions/Mail_supervisor/main.inc.php	(revision 4058)
+++ /extensions/Mail_supervisor/main.inc.php	(revision 4059)
@@ -24,9 +24,9 @@
 /*
 Plugin Name: Mail supervisor
-Version: 1.1.6
+Version: 1.1.7
 Description:  Mail supervisor surveille l'envoie des mails. 
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=315
 Author: cljosse
-Author URI:http://cljosse.e3b.org
+Author URI:http://cl.josse.free.fr
 */
 
@@ -218,4 +218,5 @@
     $string=array("&lt;","&gt;") ;	 
 
+//Warning: mail() has been disabled for security reasons 
 	
 	$est_un_spam =!(strpos(strtolower($message), 'spam') === false);
@@ -226,6 +227,6 @@
  		$pos1 = strpos(strtolower($message), 'bad recipient address syntax');
 		if (  !($pos1 === false) ){
-			$erreur_message .='Détection de : Bad recipient address syntax .';
- 			$erreur_message .='Vérifiez les destinataires: (Bcc,Cc,To)<br />';
+			$erreur_message .=l10n('Détection_de').' : Bad recipient address syntax .';
+ 			$erreur_message .=l10n('Vérifiez_les_destinataires').' (Bcc,Cc,To)<br />';
  			}	
 	
Index: /extensions/Mail_supervisor/maintain.inc.php
===================================================================
--- /extensions/Mail_supervisor/maintain.inc.php	(revision 4058)
+++ /extensions/Mail_supervisor/maintain.inc.php	(revision 4059)
@@ -111,4 +111,13 @@
 }
 
+function plugin_activate()
+{
+
+}
+
+function plugin_deactivate()
+{
+
+}
 
 