Index: extensions/NBC_UserAdvManager/branches/2.11/admin/usermanager.tpl
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.11/admin/usermanager.tpl	(revision 4061)
+++ extensions/NBC_UserAdvManager/branches/2.11/admin/usermanager.tpl	(revision 4062)
@@ -18,5 +18,5 @@
       			<td>{'Email address'|@translate}</td>
       			<td>{'Groups'|@translate}</td>
-      			<td>{'Registration'|@translate}</td>
+      			<td>{'Registration_Date'|@translate}</td>
     			</tr>
   			</thead>
Index: extensions/NBC_UserAdvManager/branches/2.11/include/functions_UserAdvManager.inc.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.11/include/functions_UserAdvManager.inc.php	(revision 4061)
+++ extensions/NBC_UserAdvManager/branches/2.11/include/functions_UserAdvManager.inc.php	(revision 4062)
@@ -535,20 +535,20 @@
 
 /* Obsolete function - Check for single email in database */
-function SearchMail($email)
-{
-  global $conf, $lang;
-  
-  if (isset($email))
-  {
-    $query = "
-      SELECT COUNT(*)
-      FROM ".USERS_TABLE."
-      WHERE ".$conf['user_fields']['email']." = '".$email."'
-    ;";
-    list($nbr_mail) = mysql_fetch_row(pwg_query($query));
-  
-    return isset($nbr_mail) ? $nbr_mail : 0;
-  }
-}
+//function SearchMail($email)
+//{
+//  global $conf, $lang;
+//  
+//  if (isset($email))
+//  {
+//    $query = "
+//      SELECT COUNT(*)
+//      FROM ".USERS_TABLE."
+//      WHERE ".$conf['user_fields']['email']." = '".$email."'
+//    ;";
+//    list($nbr_mail) = mysql_fetch_row(pwg_query($query));
+//  
+//    return isset($nbr_mail) ? $nbr_mail : 0;
+//  }
+//}
 
 
@@ -577,23 +577,23 @@
 /* Obsolete function - Check for no forbidden email provider */
 /* This don't work on function call */
-function ValidateEmailProvider($email)
-{
-  global $conf;
-
-	$conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
-	if (isset($conf_nbc_UserAdvManager[12]))
-	{
-		$ncsemail = strtolower($email);
-		$conf_nbc_MailExclusion = preg_split('/,/',$conf_nbc_UserAdvManager[13]);
-		for ($i = 0 ; $i < count($conf_nbc_MailExclusion) ; $i++)
-		{
-			$pattern = '/'.$conf_nbc_MailExclusion[$i].'/';
-			if (preg_match($pattern, $ncsemail))
-        		return false;
-        	else
-      			return true;
-		}
-	}
-}
+//function ValidateEmailProvider($email)
+//{
+//  global $conf;
+//
+//	$conf_nbc_UserAdvManager = isset($conf['nbc_UserAdvManager']) ? explode(";" , $conf['nbc_UserAdvManager']) : array();
+//	if (isset($conf_nbc_UserAdvManager[12]))
+//	{
+//		$ncsemail = strtolower($email);
+//		$conf_nbc_MailExclusion = preg_split('/,/',$conf_nbc_UserAdvManager[13]);
+//		for ($i = 0 ; $i < count($conf_nbc_MailExclusion) ; $i++)
+//		{
+//			$pattern = '/'.$conf_nbc_MailExclusion[$i].'/';
+//			if (preg_match($pattern, $ncsemail))
+//        		return false;
+//        	else
+//      			return true;
+//		}
+//	}
+//}
 
 
Index: extensions/NBC_UserAdvManager/branches/2.11/language/en_UK/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.11/language/en_UK/plugin.lang.php	(revision 4061)
+++ extensions/NBC_UserAdvManager/branches/2.11/language/en_UK/plugin.lang.php	(revision 4062)
@@ -74,5 +74,5 @@
 - Submit a registration awaiting validation manually even if the expiry date has passed <b>(forcing validation)</b>.
 <br>';
-$lang['Registration'] = 'Registration date';
+$lang['Registration_Date'] = 'Registration date';
 
 
Index: extensions/NBC_UserAdvManager/branches/2.11/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.11/language/fr_FR/plugin.lang.php	(revision 4061)
+++ extensions/NBC_UserAdvManager/branches/2.11/language/fr_FR/plugin.lang.php	(revision 4062)
@@ -74,5 +74,5 @@
 - Valider manuellement une inscription en attente de validation même si la date d\'expiration est révolue <b>(forçage de la validation)</b>.
 <br>';
-$lang['Registration'] = 'Date d\'enregistrement';
+$lang['Registration_Date'] = 'Date d\'enregistrement';
 
 
Index: extensions/NBC_UserAdvManager/branches/2.11/main.inc.php
===================================================================
--- extensions/NBC_UserAdvManager/branches/2.11/main.inc.php	(revision 4061)
+++ extensions/NBC_UserAdvManager/branches/2.11/main.inc.php	(revision 4062)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: NBC UserAdvManager
-Version: 2.11.4
+Version: 2.11.5
 Description: Permet de renforcer les possibilités de gestion des utilisateurs - Enforce users management
 Plugin URI: http://fr.piwigo.org/ext/extension_view.php?eid=216
@@ -67,4 +67,6 @@
 						Bug 1179 fixed : Adding a notice in plugin inline documentation for use of validation groups and status. A default group must be set in Piwigo's groups settings and the "Guest" (or another user) must be set as default for status values.
 						Bug 1182 fixed : Language tag missing in confirmation email generation 
+
+-- 2.11.5 : Bug 1195 fixed : Registration displays the good title
 
 */