Index: /extensions/event_cats/admin/evntcats_admin.php
===================================================================
--- /extensions/event_cats/admin/evntcats_admin.php	(revision 4063)
+++ /extensions/event_cats/admin/evntcats_admin.php	(revision 4064)
@@ -115,6 +115,6 @@
                l10n('ec_tab_autoid_entries'),
                $my_base_url.'&amp;tab=autolog_entries');
-$tabsheet->add('autolog_new',
-               l10n('ec_tab_autoid_new'),
+$tabsheet->add('autolog_new', l10n(($ec_exist_entries) ?
+                'ec_tab_autoid_new2' : 'ec_tab_autoid_new1'),
                $my_base_url.'&amp;tab=autolog_new');
 $tabsheet->add('duplication',
Index: /extensions/event_cats/admin/template/autolog_new.js
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.js	(revision 4063)
+++ /extensions/event_cats/admin/template/autolog_new.js	(revision 4064)
@@ -12,4 +12,5 @@
 var ec_flag2                    = false;
 var ec_dont_check               = false;
+var ec_is_creation              = false;
 var ec_err                      = '';
 var ec_selected_action          = '';
@@ -26,5 +27,7 @@
 var ec_selected_old_entry       = '-1';
 var ec_selected_old_code        = '-1';
+var ec_selected_old_code2       = '-1';
 var ec_selected_old_user        = '-1';
+var ec_selected_old_user2       = '-1';
 var ec_selected_AP              = '-1';
 var ec_selected_cat             = '-1';
@@ -46,45 +49,50 @@
   var t = new Array();
   var r = /,/g;
-  document.getElementById('ec_act2_id').value = ec_id;
-  t = document.getElementById('ec_in_up_entry_list_id').options[
-   document.getElementById('ec_in_up_entry_list_id').selectedIndex
-  ].label.split(r);
+  if (ec_id == '-1') ec_init(); else {
+    document.getElementById('ec_act2_id').value = ec_id;
+    t = document.getElementById('ec_in_up_entry_list_id').options[
+     document.getElementById('ec_in_up_entry_list_id').selectedIndex
+    ].label.split(r);
 // t[0] : user_id ; t[1] : action ; t[2] : arg1 ; t[3] : arg2 ; t[4] : forced
-  if (ec_check_exist_value('ec_in_up_usr_list_id', t[0])) {
-    ec_selected_user = 'ec_sel_user_old';
-    ec_selected_old_user = t[0];
-    if (t[2] != '' && t[1].lastIndexOf('ec_ok') != -1) i++;
-    if (t[3] != '') { i++; i++; }
-    switch (i) {
-      case 0: // Home
-        ec_selected_action = 'ec_input_action_home';
-      break;
-      case 1: // Category
-        ec_selected_action = 'ec_input_action_cat';
-        ec_selected_cat = t[2];
-      break;
-      case 2: // Additionnal Page
-        ec_selected_action = 'ec_input_action_add_p';
+    if (ec_check_exist_value('ec_in_up_usr_list_id', t[0])) {
+      ec_selected_user = 'ec_sel_user_old';
+      ec_selected_old_user = t[0];
+      if (t[2] != '' && t[1].lastIndexOf('ec_ok') != -1) i++;
+      if (t[3] != '') { i++; i++; }
+      switch (i) {
+        case 0: // Home
+          ec_selected_action = 'ec_input_action_home';
+        break;
+        case 1: // Category
+          ec_selected_action = 'ec_input_action_cat';
+          ec_selected_cat = (ec_check_exist_value('ec_in_up_cats_id', t[2])) ?
+           t[2] : '-1';
+        break;
+        case 2: // Additionnal Page
+          ec_selected_action = 'ec_input_action_add_p';
+          ec_selected_cat = (ec_check_exist_value('ec_in_up_aps_id', t[3])) ?
+           t[3] : '-1';
+        break;
+        case 3: // Image
+          ec_selected_action = 'ec_input_action_img';
+          ec_selected_cat = (ec_check_exist_value('ec_in_up_cats_id', t[2])) ?
+           t[2] : '-1';
+          ec_selected_img = t[3];
+        break;
+      }
+      document.getElementById('ec_in_up_forced_id').checked =
+       (t[4] == 'true') ? 'checked' : '';
+      ec_mark_action(ec_selected_action);
+    }
+    else {
+      ec_selected_user = 'ec_sel_user_none';
+      document.getElementById('ec_in_up_forced_id').checked = '';
+      if (ec_check_exist_value('ec_in_up_aps_id', t[3])) {
         ec_selected_AP = t[3];
-      break;
-      case 3: // Image
-        ec_selected_action = 'ec_input_action_img';
-        ec_selected_cat = t[2];
-        ec_selected_img = t[3];
-      break;
-    }
-    document.getElementById('ec_in_up_forced_id').checked =
-     (t[4] == 'true') ? 'checked' : '';
-    ec_mark_action(ec_selected_action);
-  }
-  else {
-    ec_selected_user = 'ec_sel_user_none';
-    document.getElementById('ec_in_up_forced_id').checked = '';
-    if (ec_check_exist_value('ec_in_up_aps_id', t[3])) {
-      ec_selected_AP = t[3];
-      ec_mark_action('ec_input_action_add_p');
-    }
-    else {
-      ec_mark_action('ec_input_action_refused');
+        ec_mark_action('ec_input_action_add_p');
+      }
+      else {
+        ec_mark_action('ec_input_action_refused');
+      }
     }
   }
@@ -97,5 +105,9 @@
   ) {
     var t1 = '';
-    ec_selected_code = ec_id;
+    if (ec_id == 'ec_sel_code_old' && ec_selected_old_code == '-1') {
+      ec_selected_code = 'ec_sel_code_new';
+      ec_selected_old_code = ec_selected_old_code2;
+    }
+    else ec_selected_code = ec_id;
     document.getElementById(ec_selected_code).checked = 'checked';
     switch (ec_selected_code) {
@@ -131,15 +143,27 @@
 
 function ec_mark_user(ec_id) {
-  if (ec_flag1 ||
+  if (
+   !ec_is_creation &&
+   document.getElementById('ec_in_up_entry_list_id').value == '-1'
+  ) {
+    alert(ec_JS_message['ec_act_entry_miss']);
+    return false;
+  }
+  else if (ec_flag1 ||
    !(document.getElementById('ec_sel_user_old').disabled == 'disabled' ||
    document.getElementById('ec_sel_user_old').disabled == true)
   ) {
-    ec_selected_user = ec_id;
+    if (ec_id == 'ec_sel_user_old' && ec_selected_old_user == '-1') {
+      ec_selected_user =
+       (ec_is_creation) ? 'ec_sel_user_new' : 'ec_sel_user_none';
+      ec_selected_old_user = ec_selected_old_user2;
+    }
+    else ec_selected_user = ec_id;
     document.getElementById(ec_selected_user).checked = 'checked';
     switch (ec_selected_user) {
       case 'ec_sel_user_none': // None
         ec_selected_action =
-         (ec_ap_ok && (ec_selected_action != 'ec_input_action_home')) ?
-         'ec_input_action_add_p' : 'ec_input_action_home';
+         (ec_ap_ok && (ec_selected_action != 'ec_input_action_refused')) ?
+         'ec_input_action_add_p' : 'ec_input_action_refused';
         document.getElementById('ec_in_up_usr_txt_id').value = '';
         document.getElementById('ec_in_up_psd_txt_id').value = '';
@@ -147,4 +171,6 @@
       break;
       case 'ec_sel_user_new': // New user
+        if (ec_selected_action == 'ec_input_action_refused')
+         ec_selected_action = 'ec_input_action_home';
         document.getElementById('ec_in_up_usr_txt_id').value =
          ec_new_user_text;
@@ -154,4 +180,6 @@
       break;
       case 'ec_sel_user_old': // "Old" user
+        if (ec_selected_action == 'ec_input_action_refused')
+         ec_selected_action = 'ec_input_action_home';
         document.getElementById('ec_in_up_usr_txt_id').value = '';
         document.getElementById('ec_in_up_psd_txt_id').value = '';
@@ -167,54 +195,67 @@
     }
   }
+  return true;
 }
 
 function ec_mark_action(ec_id) {
-  ec_selected_action = ec_id;
-  if (ec_selected_action != '') {
-    document.getElementById(ec_selected_action).checked = 'checked';
-    switch (ec_selected_action) {
-      case 'ec_input_action_add_p': // Additional Page
-        document.getElementById('ec_in_up_aps_id').value = ec_selected_AP;
-        document.getElementById('ec_in_up_cats_id').value = '-1';
-        document.getElementById('ec_in_up_imgs_id').value = '';
-        document.getElementById('ec_in_up_imgs_warn').innerHTML = '';
-      break;
-      case 'ec_input_action_cat': // Category
-        document.getElementById('ec_in_up_aps_id').value = '-1';
-        document.getElementById('ec_in_up_cats_id').value = ec_selected_cat;
-        document.getElementById('ec_in_up_imgs_id').value = '';
-        ec_selected_user = (ec_selected_user == 'ec_sel_user_none') ?
-         'ec_sel_user_old' : ec_selected_user;
-        document.getElementById('ec_in_up_imgs_warn').innerHTML = '';
-      break;
-      case 'ec_input_action_img': // Image
-        document.getElementById('ec_in_up_aps_id').value = '-1';
-        document.getElementById('ec_in_up_cats_id').value = ec_selected_cat;
-        document.getElementById('ec_in_up_imgs_id').value = ec_selected_img;
-        ec_selected_user = (ec_selected_user == 'ec_sel_user_none') ?
-         'ec_sel_user_old' : ec_selected_user;
-        ec_check_img_text();
-      break;
-      case 'ec_input_action_home': // Home
-        document.getElementById('ec_in_up_aps_id').value = '-1';
-        document.getElementById('ec_in_up_cats_id').value = '-1';
-        document.getElementById('ec_in_up_imgs_id').value = '';
-        document.getElementById('ec_in_up_imgs_warn').innerHTML = '';
-      break;
-      case 'ec_input_action_refused': // Access denied
-        document.getElementById('ec_in_up_aps_id').value = '-1';
-        document.getElementById('ec_in_up_cats_id').value = '-1';
-        document.getElementById('ec_in_up_imgs_id').value = '';
-        ec_selected_user = 'ec_sel_user_none';
-        document.getElementById('ec_in_up_imgs_warn').innerHTML = '';
-      break;
-    }
-    if (ec_avoid_infinite_loop) {
-      ec_avoid_infinite_loop = false;
-      ec_mark_user(ec_selected_user);
-      ec_avoid_infinite_loop = true;
-    }
-    ec_mark_forced();
-  }
+  if (
+   !ec_is_creation &&
+   document.getElementById('ec_in_up_entry_list_id').value == '-1'
+  ) {
+    alert(ec_JS_message['ec_act_entry_miss']);
+    return false;
+  }
+  else {
+    ec_selected_action = ec_id;
+    if (ec_selected_action != '') {
+      document.getElementById(ec_selected_action).checked = 'checked';
+      switch (ec_selected_action) {
+        case 'ec_input_action_add_p': // Additional Page
+          document.getElementById('ec_in_up_aps_id').value = ec_selected_AP;
+          document.getElementById('ec_in_up_cats_id').value = '-1';
+          document.getElementById('ec_in_up_imgs_id').value = '';
+          document.getElementById('ec_in_up_imgs_warn').innerHTML = '';
+        break;
+        case 'ec_input_action_cat': // Category
+          document.getElementById('ec_in_up_aps_id').value = '-1';
+          document.getElementById('ec_in_up_cats_id').value = ec_selected_cat;
+          document.getElementById('ec_in_up_imgs_id').value = '';
+          ec_selected_user = (ec_selected_user == 'ec_sel_user_none') ?
+           'ec_sel_user_old' : ec_selected_user;
+          document.getElementById('ec_in_up_imgs_warn').innerHTML = '';
+        break;
+        case 'ec_input_action_img': // Image
+          document.getElementById('ec_in_up_aps_id').value = '-1';
+          document.getElementById('ec_in_up_cats_id').value = ec_selected_cat;
+          document.getElementById('ec_in_up_imgs_id').value = ec_selected_img;
+          ec_selected_user = (ec_selected_user == 'ec_sel_user_none') ?
+           'ec_sel_user_old' : ec_selected_user;
+          ec_check_img_text();
+        break;
+        case 'ec_input_action_home': // Home
+          document.getElementById('ec_in_up_aps_id').value = '-1';
+          document.getElementById('ec_in_up_cats_id').value = '-1';
+          document.getElementById('ec_in_up_imgs_id').value = '';
+          document.getElementById('ec_in_up_imgs_warn').innerHTML = '';
+          ec_selected_user = (ec_selected_user == 'ec_sel_user_none') ?
+           'ec_sel_user_old' : ec_selected_user;
+        break;
+        case 'ec_input_action_refused': // Access denied
+          document.getElementById('ec_in_up_aps_id').value = '-1';
+          document.getElementById('ec_in_up_cats_id').value = '-1';
+          document.getElementById('ec_in_up_imgs_id').value = '';
+          ec_selected_user = 'ec_sel_user_none';
+          document.getElementById('ec_in_up_imgs_warn').innerHTML = '';
+        break;
+      }
+      if (ec_avoid_infinite_loop) {
+        ec_avoid_infinite_loop = false;
+        ec_mark_user(ec_selected_user);
+        ec_avoid_infinite_loop = true;
+      }
+      ec_mark_forced();
+    }
+  }
+  return true;
 }
 
@@ -436,5 +477,12 @@
 }
 
+function ec_change_user_list(ec_id) {
+  ec_selected_old_user2 = ec_selected_old_user;
+  ec_selected_old_user = ec_id;
+  ec_mark_user('ec_sel_user_old');
+}
+
 function ec_change_code_list(ec_id) {
+  ec_selected_old_code2 = ec_selected_old_code;
   ec_selected_old_code = ec_id;
   ec_mark_code('ec_sel_code_old');
@@ -454,18 +502,20 @@
 function ec_init() {
   var d = document;
-  ec_err               = '';
-  ec_selected_user     = 'ec_sel_user_old';
-  ec_selected_code     = 'ec_sel_code_new';
-  ec_selected_old_user = '-1';
-  ec_selected_old_code = '-1';
-  ec_selected_AP       = '-1';
-  ec_selected_cat      = '-1';
-  ec_selected_action   = '';
-  ec_selected_img      = '';
-  ec_new_code_text     = '';
-  ec_new_user_text     = '';
-  ec_new_psd_text      = '';
-  ec_old_new_psd_text  = '';
-  ec_test_reg          = '';
+  ec_err                = '';
+  ec_selected_action    = '';
+  ec_selected_img       = '';
+  ec_new_code_text      = '';
+  ec_new_user_text      = '';
+  ec_new_psd_text       = '';
+  ec_old_new_psd_text   = '';
+  ec_test_reg           = '';
+  ec_selected_old_user  = '-1';
+  ec_selected_old_code  = '-1';
+  ec_selected_old_code2 = '-1';
+  ec_selected_AP        = '-1';
+  ec_selected_cat       = '-1';
+  ec_selected_old_user2 = '-1';
+  ec_selected_user      = 'ec_sel_user_old';
+  ec_selected_code      = 'ec_sel_code_new';
   d.getElementById('ec_style_forced_id').innerHTML        =
    ec_up_code_lbl_forced_txt;
Index: /extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.tpl	(revision 4063)
+++ /extensions/event_cats/admin/template/autolog_new.tpl	(revision 4064)
@@ -28,13 +28,15 @@
         <a href = "#ec_top" name = "ec_top" title = "{'ec_top_title'|@translate}">
       {/if}
-      <label for = "ec_page_type_create" onclick = "ec_mark_type('create');">
+      <label for = "ec_page_type_create" onclick = "ec_mark_type('create');" {if $ec_is_creation} style = "text-decoration:underline;" {/if}>
         <input type = "radio" id = "ec_page_type_create" onclick = "ec_mark_type('create');" {if $ec_is_creation} checked = "checked" {/if} />
         {'ec_new_entry_title'|@translate}
       </label>
       {if $ec_hidden_when_no_code == ''}
-        <a href = "#ec_top" name = "ec_top" title = "{'ec_top_title'|@translate}">&nbsp;/&nbsp;
+        <a href = "#ec_top" name = "ec_top" title = "{'ec_top_title'|@translate}">&nbsp;&#149;&#149;&nbsp;
       {/if}
       </a>
-      <label for = "ec_page_type_modify" onclick = "ec_mark_type('modify_entry_ask');" {$ec_hidden_when_no_code}>
+      <label for = "ec_page_type_modify" onclick = "ec_mark_type('modify_entry_ask');"
+       {$ec_hidden_when_no_code} {if !$ec_is_creation} style = "text-decoration:underline;" {/if}
+      >
         <input type = "radio" id = "ec_page_type_modify" onclick = "ec_mark_type('modify_entry_ask');" {if !$ec_is_creation} checked = "checked" {/if} />
         {'ec_modify_entry_title'|@translate}
@@ -107,5 +109,5 @@
               {'ec_up_code_lbl_code_old'|@translate}
             </label>
-            <select name = "ec_in_up_code_list" id = "ec_in_up_code_list_id" onclick = "ec_mark_code('ec_sel_code_old');"
+            <select name = "ec_in_up_code_list" id = "ec_in_up_code_list_id"
              onchange = "ec_change_code_list(this.value);" {$ec_hidden_when_no_code}
             >
@@ -123,5 +125,5 @@
             {* <!-- Entry choice --> *}
             <select name = "ec_in_up_entry_list" id = "ec_in_up_entry_list_id" onchange = "ec_mark_entry(this.value);">
-              <option label = "" value = "-1">------------</option>
+              <option value = "-1" label = "">------------</option>
               {foreach from=$ec_lists.ec_table item=ec_val}
                 <option value = "{$ec_val.id}" label = "{$ec_val.user_id},{$ec_val.action},{$ec_val.arg1},{$ec_val.arg2},{$ec_val.forced}">
@@ -143,7 +145,7 @@
           <li>
             {* <!-- None --> *}
-            <label onclick = "ec_mark_user('ec_sel_user_none');">
+            <label onclick = "return ec_mark_user('ec_sel_user_none');">
               <input type = "radio" name = "ec_sel_user" value = "none" id = "ec_sel_user_none"
-               onclick = "ec_mark_user('ec_sel_user_none');"
+               onclick = "return ec_mark_user('ec_sel_user_none');"
               />
               {'ec_up_code_lbl_user_none'|@translate}
@@ -154,7 +156,7 @@
         <li>
           {* <!-- New user (to create) --> *}
-          <label for = "ec_in_up_usr_txt_id" onclick = "ec_mark_user('ec_sel_user_new');" {$ec_hidden_when_no_user} >
+          <label for = "ec_in_up_usr_txt_id" onclick = "return ec_mark_user('ec_sel_user_new');" {$ec_hidden_when_no_user} >
             <input type = "radio" name = "ec_sel_user" for = "ec_in_up_usr_txt_id" value = "new"
-             id = "ec_sel_user_new" onclick = "ec_mark_user('ec_sel_user_new');" {$ec_hidden_when_no_user}
+             id = "ec_sel_user_new" onclick = "return ec_mark_user('ec_sel_user_new');" {$ec_hidden_when_no_user}
             />
             {'ec_up_code_lbl_user_new'|@translate}
@@ -167,10 +169,10 @@
             <label class = "ec_block">{'ec_new_user_name'|@translate}<br>
               <input type = "text" name = "ec_in_up_usr_txt" id = "ec_in_up_usr_txt_id" maxlength = "32"
-               size = "20" onclick = "ec_mark_user('ec_sel_user_new');" onblur = "ec_new_user_text = this.value;"
+               size = "20" onclick = "return ec_mark_user('ec_sel_user_new');" onblur = "ec_new_user_text = this.value;"
               />
             </label>
             <label class = "ec_block">{'ec_new_user_pswd'|@translate}<br>
               <input type = "text" name = "ec_in_up_psd_txt" id = "ec_in_up_psd_txt_id" maxlength = "32"
-               size = "20" onclick = "ec_mark_user('ec_sel_user_new');" onblur = "ec_new_psd_text = this.value; ec_check_pwd_text();"
+               size = "20" onclick = "return ec_mark_user('ec_sel_user_new');" onblur = "ec_new_psd_text = this.value; ec_check_pwd_text();"
               />
             </label>
@@ -184,12 +186,12 @@
         <li>
           {* <!-- Known user --> *}
-          <label for = "ec_in_up_usr_list_id" onclick = "ec_mark_user('ec_sel_user_old');" {$ec_hidden_when_no_user} >
+          <label for = "ec_in_up_usr_list_id" onclick = "return ec_mark_user('ec_sel_user_old');" {$ec_hidden_when_no_user} >
             <input type = "radio" name = "ec_sel_user" for = "ec_in_up_usr_list_id" {$ec_hidden_when_no_user}
-             value = "old" id = "ec_sel_user_old" onclick = "ec_mark_user('ec_sel_user_old');"
+             value = "old" id = "ec_sel_user_old" onclick = "return ec_mark_user('ec_sel_user_old');"
             />
             {'ec_up_code_lbl_user_old'|@translate}
           </label>
-          <select name = "ec_in_up_usr_list" id = "ec_in_up_usr_list_id" onclick = "ec_mark_user('ec_sel_user_old');"
-           onchange = "ec_selected_old_user = this.value;" {$ec_hidden_when_no_user}
+          <select name = "ec_in_up_usr_list" id = "ec_in_up_usr_list_id"
+           onchange = "ec_change_user_list(this.value);" {$ec_hidden_when_no_user}
           >
             <option label = "------------" value = "-1" {$ec_hidden_when_no_user} >------------</option>
@@ -214,13 +216,13 @@
         
         {* <!-- Additionnal Page, provided the plugin is activated and at least one Add. P. is available --> *}
-        <label class = "ec_block" for = "ec_in_up_aps_id" onclick = "ec_mark_action('ec_input_action_add_p');"
-         {if !$ec_ap_ok or count($ec_lists.add_pages) == 0} style = "display:none;"{/if}
+        <label class = "ec_block" for = "ec_in_up_aps_id" onclick = "return ec_mark_action('ec_input_action_add_p');"
+         {if !$ec_ap_ok or count($ec_lists.add_pages) == 0} style = "display:none;" {/if}
         >
           <input type = "radio" name = "ec_input_action" value = "add_p" id = "ec_input_action_add_p" for = "ec_in_up_aps_id"
-           onclick = "ec_mark_action('ec_input_action_add_p');"
+           onclick = "return ec_mark_action('ec_input_action_add_p');"
           />
           {'ec_up_code_lbl_aps'|@translate}<br>
           <select class = "categoryList" name = "ec_in_up_aps" size="30" id = "ec_in_up_aps_id"
-           onclick = "ec_mark_action('ec_input_action_add_p');" onchange = "ec_selected_AP = this.value;"
+           onclick = "return ec_mark_action('ec_input_action_add_p');" onchange = "ec_selected_AP = this.value;"
           >
             <option label = "------------" value = "-1" style = "display:none;">------------</option>
@@ -230,11 +232,11 @@
         
         {* <!-- Category --> *}
-        <label class = "ec_block" for = "ec_in_up_cats_id" onclick = "ec_mark_action('ec_input_action_cat');">
+        <label class = "ec_block" for = "ec_in_up_cats_id" onclick = "return ec_mark_action('ec_input_action_cat');">
           <input type = "radio" name = "ec_input_action" value = "cat" id = "ec_input_action_cat" for = "ec_in_up_cats_id"
-           onclick = "ec_mark_action('ec_input_action_cat');"
+           onclick = "return ec_mark_action('ec_input_action_cat');"
           />
           {'ec_up_code_lbl_cats'|@translate}<br>
           <select class = "categoryList" name = "ec_in_up_cat" size = "30" id = "ec_in_up_cats_id"
-           onclick = "ec_mark_action('ec_input_action_cat');" onchange = "ec_selected_cat = this.value;"
+           onclick = "return ec_mark_action('ec_input_action_cat');" onchange = "ec_selected_cat = this.value;"
           >
             <option label = "------------" value = "-1" style = "display:none;">------------</option>
@@ -244,19 +246,19 @@
         
         {* <!-- Image --> *}
-        <label class = "ec_block" for = "ec_in_up_imgs_id" onclick = "ec_mark_action('ec_input_action_img');">
+        <label class = "ec_block" for = "ec_in_up_imgs_id" onclick = "return ec_mark_action('ec_input_action_img');">
           <input type = "radio" name = "ec_input_action" value = "img" id = "ec_input_action_img" for = "ec_in_up_imgs_id"
-           onclick = "ec_mark_action('ec_input_action_img');"
+           onclick = "return ec_mark_action('ec_input_action_img');"
           />
           {'ec_up_code_lbl_img'|@translate}<br>
           <input type = "text" name = "ec_in_up_img" id = "ec_in_up_imgs_id" maxlength = "6"
-           size = "10" onblur = "ec_selected_img = this.value; ec_check_img_text();" onfocus = "ec_mark_action('ec_input_action_img');"
+           size = "10" onblur = "ec_selected_img = this.value; ec_check_img_text();" onfocus = "return ec_mark_action('ec_input_action_img');"
           /><br>
-          <span id = "ec_in_up_imgs_warn">&nbsp;</span>
+          <span id = "ec_in_up_imgs_warn"></span>
         </label>
         
         {* <!-- Index page --> *}
-        <label class = "ec_block" onclick = "ec_mark_action('ec_input_action_home');">
+        <label class = "ec_block" onclick = "return ec_mark_action('ec_input_action_home');">
           <input type = "radio" name = "ec_input_action" value = "home" id = "ec_input_action_home"
-           onclick = "ec_mark_action('ec_input_action_home');"
+           onclick = "return ec_mark_action('ec_input_action_home');"
           />
           {'ec_up_code_lbl_home'|@translate}
@@ -265,7 +267,7 @@
         {* <!-- Access denied page (only when modifying an entry) --> *}
         {if !$ec_is_creation}
-          <label class = "ec_block" onclick = "ec_mark_action('ec_input_action_refused');">
+          <label class = "ec_block" onclick = "return ec_mark_action('ec_input_action_refused');">
             <input type = "radio" name = "ec_input_action" value = "refused" id = "ec_input_action_refused"
-             onclick = "ec_mark_action('ec_input_action_refused');"
+             onclick = "return ec_mark_action('ec_input_action_refused');"
             />
             {'ec_up_code_lbl_refused'|@translate}
@@ -284,4 +286,5 @@
 <script type = "text/javascript" src = "{$RACINE_URL}{$EVNTCATS_PATH}admin/template/autolog_new.js"></script>
 <script type = "text/javascript"><!--
+  ec_is_creation                         = {if $ec_is_creation}true{else}false{/if};
   ec_up_code_lbl_forced_txt              = "{'ec_up_code_lbl_forced'|@translate}";
   ec_JS_message['ec_gen_user_act_miss']  = "{'ec_gen_user_act_miss'|@translate|@escape:javascript}";
@@ -289,4 +292,5 @@
   ec_JS_message['ec_act_img_miss']       = "{'ec_act_img_miss'|@translate|@escape:javascript}";
   ec_JS_message['ec_new_pwd_gen']        = "{'ec_new_pwd_gen'|@translate|@escape:javascript}";
+  ec_JS_message['ec_act_entry_miss']     = "{'ec_act_entry_miss'|@translate|@escape:javascript}";
   ec_JS_message['ec_up_code_lbl_home']   = "{'ec_up_code_lbl_home'|@translate}";
   ec_JS_message['ec_submit_code_miss']   = "{'ec_submit_code_miss'|@translate}";
Index: /extensions/event_cats/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 4063)
+++ /extensions/event_cats/language/fr_FR/plugin.lang.php	(revision 4064)
@@ -10,5 +10,6 @@
 // Upper banner
 $lang['ec_tab_autoid_entries']    = 'Entrées autolog';
-$lang['ec_tab_autoid_new']        = 'Nouvelle entrée autolog';
+$lang['ec_tab_autoid_new1']       = 'Création autolog';
+$lang['ec_tab_autoid_new2']       = 'Création/modification autolog';
 $lang['ec_tab_config']            = 'Configuration générale';
 $lang['ec_tab_duplication']       = 'Duplication';
@@ -43,5 +44,5 @@
 $lang['ec_new_entry']             = 'Code';
 $lang['ec_up_code_lbl_code_new']  = 'Nouveau code :';
-$lang['ec_sel_entry']             = 'Entrée sélectionnée :';
+$lang['ec_sel_entry']             = 'Entrée sélectionnée';
 $lang['ec_new_entry_button']      = 'Générer un code automatiquement';
 $lang['ec_gen_code_nb_pre']       = 'de';
@@ -61,5 +62,5 @@
 $lang['ec_up_code_lbl_aps']       = 'Additional Page';
 $lang['ec_up_code_lbl_cats']      = 'Catégorie';
-$lang['ec_up_code_lbl_img']       = 'Image';
+$lang['ec_up_code_lbl_img']       = 'Id. image';
 $lang['ec_up_code_lbl_home']      = 'Accueil';
 $lang['ec_up_code_lbl_refused']   = 'Accès refusé';
@@ -77,4 +78,5 @@
 $lang['ec_submit_user_miss']      = 'Vous devez fournir un utilisateur.';
 $lang['ec_submit_action_miss']    = 'Vous devez proposer une page à afficher.';
+$lang['ec_act_entry_miss']        = 'Sélectionnez d\'abord une entrée à modifier.';
 
 // In PHP files