Index: extensions/Mail_supervisor/admin/mail_superv_admin.php
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4060)
+++ extensions/Mail_supervisor/admin/mail_superv_admin.php	(revision 4065)
@@ -53,4 +53,5 @@
 
  load_language('plugin.lang', MAIL_SUPERV_PATH);
+
  
 $mails_options = explode("," , $conf['mail_superv']);
@@ -293,4 +294,6 @@
      case 'mail_superv_help':
 
+   load_language('help/plugin.lang', MAIL_SUPERV_PATH);	
+ 
 	  $aff_nb=false;
 	  $smile_bonjour=MAIL_SUPERV_PATH."smilies/bonjour.gif" ; 
@@ -301,5 +304,5 @@
 			);		
 	$aff_nb = false;
-	$infos_message="";
+	;
 	 
 	 	$template->set_filenames(array('plugin_admin_content' => realpath(MAIL_SUPERV_PATH . 'admin/mail_superv_help.tpl')));
Index: extensions/Mail_supervisor/admin/mail_superv_help.tpl
===================================================================
--- extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 4060)
+++ extensions/Mail_supervisor/admin/mail_superv_help.tpl	(revision 4065)
@@ -2,5 +2,5 @@
  
 <h2>{'Tab_help'|translate}</h2>
-<fieldset style=" position:relative ; top:50px">
+<fieldset style=" position:relative ; top:15px">
 <div id="instructionFonction" class="instructionBlock" >
 
@@ -10,5 +10,5 @@
     onclick="blockToggleDisplay('fonction_header', 'Fonction')"
   ><span>
-   Fonctionnalités
+    {'Fonctionnalités'|translate}
   </span></div>
   <div
@@ -17,13 +17,12 @@
     style="display:none"
   >
-    <p>Supervise le gestion des mails.</p>
+    <p>{'Oversees_management_emails'|translate}.</p>
     <ol>      
-	  <li>Compte le nombre de mails envoyés par le site.</li>
-      <li>Détecte les différents messages d'alertes générés par la fonction mail()</li>
-      <li>Compte le nombre de mails considéré par le FAI comme spams.</li>
-      <li>Mise en quarantaine si le nombre de mails envoyés est supérieur à la valeur maxi défini par période prédéterminée.</li>
-
-      <li>Mise en quarantaine si le nombre de spams détectés est supérieur à la valeur maxi défini par période prédéterminée.</li>
-      <li>Mise en quarantaine si détection de "TROP DE SPAMS" pour une période déterminée.</li>
+	  <li>{'hlp_1_1'|translate}</li>
+      <li>{'hlp_1_2'|translate}</li>
+      <li>{'hlp_1_3'|translate}</li>
+      <li>{'hlp_1_4'|translate}</li>
+      <li>{'hlp_1_5'|translate}</li>
+      <li>{'hlp_1_6'|translate}</li>
     </ol>
     <p></p>
@@ -48,16 +47,16 @@
 
 <ol>
-  <li>{'check_mailto'|translate} </li>
+  <li><span style="color:#3300FF">{'check_mailto'|translate}</span> </li>
    <ul>
- <li>En voie une copie du mail au Webmaster. </li> 
+ <li>{'hlp_2_1'|translate}</li>
 </ul>
-  <li>{'check_header_carbon'|translate}</li>
+  <li><span style="color:#3300FF">{'check_header_carbon'|translate}</span></li>
   
    <ul>
- <li>Modifie la structure des destnataires en copie carbonne si défaut 'bad syntax'. </li> 
+ <li>{'hlp_2_2'|translate}</li>
 </ul>
-  <li>{'check_header_text'|translate} </li> 
+  <li><span style="color:#3300FF">{'check_header_text'|translate}</span> </li> 
   <ul>
- <li>Si la version piwigo est inférieur à 2.0.5, rajoute un bloc texte dans l' entête de mail. </li> 
+ <li>{'hlp_2_3'|translate}</span></li>
 </ul>
 </ol>
@@ -77,5 +76,5 @@
     onclick="blockToggleDisplay('configuration_header', 'configuration_content')"
   ><span>
-    configuration
+   <p>{'Configuration'|translate}.</p>
   </span></div>
   <div
@@ -86,14 +85,15 @@
 
 <ul>
-
-  <li>{'number'|translate}</li>
-  
-  <li>{'since'|translate} <li>
-    
-     
-      <li>{'max'|translate}</li>
-      <li>{'period'|translate} [ {'Week'|translate}, {'Day'|translate}, {'Hour'|translate}, {'Minute'|translate}, {'Seconde'|translate}]</li>
+    <ul>      
+	  <li ><i><span style="color:#3300FF">{'free_nb'|translate}</span></i>       {'hlp_3_1'|translate}</li>
+      <li><i><span style="color:#3300FF">{'free_depuis_le'|translate}</span></i> {'hlp_3_2'|translate}</li>
+      <li><i><span style="color:#3300FF">{'free_nb_maxi'|translate}</span></i>   {'hlp_3_3'|translate}</li>
+      <li><i><span style="color:#3300FF">{'periode'|translate}</span></i>   {'hlp_3_4'|translate}
+	  {'hlp_3_4_0'|translate}
+	  </li>
+      <li><i><span style="color:#3300FF">{'reste'|translate}</span></i>          {'hlp_3_5'|translate}</li>
  
-      <li>{'rest'|translate}</li>
+    </ul>
+ 
  
 
@@ -118,7 +118,6 @@
 <ul>
 
-  <li></li>
-
-  <li></li>
+      <li><i><span style="color:#FF0000">{'free_quarantaine'|translate}</span></i>   {'hlp_4_1'|translate}</li>
+      <li><i><span style="color:#3300FF">{'quarantaine'|translate}</span></i>     {'hlp_4_2'|translate}</li>
 
   
@@ -133,5 +132,5 @@
     onclick="blockToggleDisplay('lastmessage_header', 'lastmessage_content')"
   ><span>
-    {'last'|translate}
+   {'free_admin_description'|translate}
   </span></div>
   <div
@@ -142,10 +141,8 @@
 <p></p>
 
-<ol>
+<ul>
 
-  <li>.</li>
-
-  <li>.</li>
-</ol>
+  <li><i>{'free_admin_description'|translate}</i>     {'hlp_5_1'|translate}</li>
+</ul>
 
   <p>.</p>
Index: extensions/Mail_supervisor/include/fonctions.php
===================================================================
--- extensions/Mail_supervisor/include/fonctions.php	(revision 4060)
+++ extensions/Mail_supervisor/include/fonctions.php	(revision 4065)
@@ -173,18 +173,18 @@
     $data = mysql_fetch_array(pwg_query($query));
 	//====================================================================================
-	
-
-    $mails_periode="+".str_replace($period_search, $period_match, $data['nb_mails_periode']);
-	$next_day =  strtotime(  $mails_periode,$data['date_mail']);
-	$data['rest_mail']=  ( $next_day )-time() ;
-	
+    $mails_periode = "+" . trim( str_replace($period_search, $period_match, $data['nb_mails_periode']));
+ 
+	$next_day = $data['date_mail'] + strtotime(  $mails_periode,0);;
+	$data['rest_mail']=    $next_day - time() ;
+ 
 				
 	$spams_periode="+".str_replace($period_search, $period_match, $data['nb_spams_periode']);
-	$next_day =  strtotime(  $spams_periode,$data['date_spam']);
-	$data['rest_spam']=  ( $next_day )-time() ;
+	$next_day = $data['date_spam'] + strtotime(  $spams_periode,0);
+	$data['rest_spam']=  $next_day -time() ;
 
   
 	$quarantaine_periode="+".str_replace($period_search, $period_match, $data['quarantaine_periode']);
-	$next_day =  strtotime( $quarantaine_periode,$data['date_quarantaine']);	
+	$next_day = $data['date_quarantaine'] + strtotime( $quarantaine_periode,0);	
+	
 	if ($data['quarantaine']) {
 	$data['reste'] =   ( $next_day )-time() ;
@@ -224,28 +224,37 @@
 function int_to_heure($int)
 {
-$week= (int) ($int/(3600*24*7)); 
-$int=$int-($week*(3600*24*7));  
-
-$day= (int) ($int/(3600*24));   
-$int=$int-($day*(3600*24));
-
-$heures=(int) ($int/3600);
-
-$int=$int-($heures*(3600));
-
-$minutes=(int) ($int/60);
-$int= $int - ($minutes*(60));
+
+
+
+$delta=(7*24*60*60) ;
+$week = (int) ($int/$delta); 
+
+$int= $int-($week*$delta) ;  
+
+
+$delta=(24*60*60) ;
+$day= (int) ($int/$delta); 
+$int=$int-($day*$delta);
+
+$delta=(60*60) ;
+$heures=(int) ($int/$delta);
+$int=$int-($heures*$delta);
+
+$delta=(60) ;
+$minutes=(int) ($int/$delta);
+$int= $int - ($minutes*$delta);
+
 
 $secondes=(int) ($int);
 
-$heures= substr ('00'. $heures,-2,2);   
-$day= substr ('00'.  $day,-2,2);   
-$minutes=substr ('00'.$minutes,-2,2);
-$secondes=substr ('00'.$secondes,-2,2);
-
+$day      = substr ('00'.    $day,-2,2);   
+$heures   = substr ('00'. $heures,-2,2);   
+$minutes  = substr ('00'.$minutes,-2,2);
+$secondes = substr ('00'.$secondes,-2,2);
+
+   
 if ($week > 0 )
 {
-
-return $week. " " .l10n('Week'). " " .  $day . " " .l10n('Day'). "s ". $heures . " ". l10n('Hour'). "s " . $minutes. " " .l10n('minute'). "s ".  $secondes." " .l10n('seconde')."s";
+	return $week. " " .l10n('Week'). " " .  $day . " " .l10n('Day'). "s ". $heures . " ". l10n('Hour'). "s " .    $minutes. " " .l10n('minute'). "s ".  $secondes." " .l10n('seconde')."s";
 }
 return $day . " " .l10n('Day'). "s ". $heures . " ". l10n('Hour'). "s " . $minutes. " " .l10n('Minute'). "s ".  $secondes." " .l10n('Seconde')."s";
Index: extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php
===================================================================
--- extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 4065)
+++ extensions/Mail_supervisor/language/fr_FR/help/plugin.lang.php	(revision 4065)
@@ -0,0 +1,50 @@
+<?php
+global $lang ;
+//========================================================================================================
+$lang['Fonctionality']='Fonctionnalités';
+
+$lang['Oversees_management_emails']='Supervise la gestion des mails et bloque l\' envoie des mails lors de la mise en quarantaine';	
+$lang['hlp_1_1']='Compte le nombre de mails envoyés par le site.';
+$lang['hlp_1_2']='Détecte les différents messages d\'alertes générés par la fonction mail[]';
+$lang['hlp_1_3']='Compte le nombre de mails considéré par le FAI comme spams.';
+$lang['hlp_1_4']='Mise en quarantaine si le nombre de mails envoyés est supérieur à la valeur maxi défini par période prédéterminée.';
+$lang['hlp_1_5']='Mise en quarantaine si le nombre de spams détectés est supérieur à la valeur maxi défini par période prédéterminée.';
+$lang['hlp_1_6']='Mise en quarantaine si détection de "TROP DE SPAMS" pour une période déterminée.';
+//========================================================================================================
+$lang['Options']='Options';
+
+$lang['hlp_2_1']='Envoie une copie du mail au Webmaster..';
+$lang['hlp_2_2']='Modifie la structure des destnataires en copie carbonne si défaut \'bad syntax\'';
+$lang['hlp_2_3']='Si la version piwigo est inférieur à 2.0.5, rajoute un bloc texte dans l\' entête de mail. ';
+
+//========================================================================================================
+$lang['Options']='Options';
+
+$lang['hlp_3_1']='Nombre d\' envoie depuis la dernière remise à zéro.';
+$lang['hlp_3_2']='Date du premier envoie.';
+$lang['hlp_3_3']='Nombre d\' envois avant la mise en quarantaine.';
+$lang['hlp_3_4']='Durée pendant laquelle l\'envoie des mails est possible';
+
+$lang['hlp_3_4_0']='<br />Format possible: <br />
+   n '.$lang['Week'].'<br />
+   n '.$lang['Day'].'<br />
+   n '.$lang['Hour'].'<br />
+   n '.$lang['Minute'].'<br />
+   n '.$lang['Seconde'].'<br />
+ n étant le nombre de (semaine,jour,heure,minute,seconde) '
+;
+
+$lang['hlp_3_5']='Durée restante avant la remise à zéro du compteur.';
+
+$lang['state']='Etat';
+
+$lang['hlp_4_1']='Date limite de la mise en quarantaine.';
+$lang['hlp_4_2']='Durée restante avant l\' anulation de la mise en quarantaine.';
+	 
+	 
+$lang['last_message']='Dernier message reçu.';
+
+$lang['hlp_5_1']='Dernier message renvoyé par la fonction mail().';
+ 
+	  
+?>
Index: extensions/Mail_supervisor/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4060)
+++ extensions/Mail_supervisor/language/fr_FR/plugin.lang.php	(revision 4065)
@@ -1,4 +1,10 @@
 <?php
 global $lang ;
+
+
+
+
+
+
 /*
 $lang['nbm_msg_error_sending_email_to'] = 'Erreur lors de l\'envoi du mail à %s [%s].';
@@ -98,4 +104,4 @@
 	  '; 
 
-					
+			
 ?>