Index: extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_Widget.php
===================================================================
--- extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_Widget.php	(revision 4057)
+++ extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_Widget.php	(revision 4073)
@@ -28,9 +28,11 @@
 if (!defined('PPW_PFX')) define('PPW_PFX','Public_Piwigo_WordPress_');
 
+load_plugin_textdomain('pwg', 'wp-content/plugins/Public_Piwigo_WordPress_Widget', 'Public_Piwigo_WordPress_Widget' );
+
 class Public_Piwigo_WordPress_Widget extends WP_Widget
 {
 	function Public_Piwigo_WordPress_Widget(){
 		$widget_ops = array('classname' => PPW_PFX . 'Widget',
-			'description' => __( "Adds a thumbnail and its link (to the picture) inside your blog sidebar.") );
+			'description' => __( "Adds a thumbnail and its link (to the picture) inside your blog sidebar.",'pwg') );
 		$control_ops = array('width' => 300, 'height' => 300);
 		$this->WP_Widget(PPW_PFX . 'Widget', PPW_NAME . 'Widget', $widget_ops, $control_ops);
Index: extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_code.php
===================================================================
--- extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_code.php	(revision 4057)
+++ extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_code.php	(revision 4073)
@@ -62,5 +62,5 @@
 	$cats = unserialize($response);
 	if ($cats["stat"] == 'ok') {
-		echo '<ul style="clear: both;"><li>' . __('Pictures categories') . '<ul>';
+		echo '<ul style="clear: both;"><li>' . __('Pictures categories','pwg') . '<ul>';
 		foreach ($cats["result"]["categories"] as $cat) {
 			echo '<li><a title="' . $cat['name'] . '" href="' . $piwigo_url . 'index.php?category/' . $cat['id'] . '">' . $cat['name'] . '</a></li>';
@@ -75,26 +75,26 @@
 
 if ($most_visited == 'true') 
-	echo '<li><a title="' . __('Most visited') . '" href="' . $piwigo_url . 'index.php?most_visited' . '">' . __('Most visited') . '</a></li>';
+	echo '<li><a title="' . __('Most visited','pwg') . '" href="' . $piwigo_url . 'index.php?most_visited' . '">' . __('Most visited','pwg') . '</a></li>';
 
 if ($best_rated == 'true') 
-	echo '<li><a title="' . __('Best rated') . '" href="' . $piwigo_url . 'index.php?best_rated' . '">' . __('Best rated') . '</a></li>';
+	echo '<li><a title="' . __('Best rated','pwg') . '" href="' . $piwigo_url . 'index.php?best_rated' . '">' . __('Best rated','pwg') . '</a></li>';
 
 if ($most_commented == 'true') 
-	echo '<li><a title="' . __('Most commented') . '" href="' . $piwigo_url . 'index.php?most_commented' . '">' . __('Most commented') . '</a></li>';
+	echo '<li><a title="' . __('Most commented','pwg') . '" href="' . $piwigo_url . 'index.php?most_commented' . '">' . __('Most commented','pwg') . '</a></li>';
 
 if ($random == 'true') 
-	echo '<li><a title="' . __('Random') . '" href="' . $piwigo_url . 'random.php' . '">' . __('Random') . '</a></li>';
+	echo '<li><a title="' . __('Random','pwg') . '" href="' . $piwigo_url . 'random.php' . '">' . __('Random','pwg') . '</a></li>';
 
 if ($recent_pics == 'true')
-	echo '<li><a title="' . __('Recent pics') . '" href="' . $piwigo_url . 'index.php?recent_pics' . '">' . __('Recent pics') . '</a></li>';
+	echo '<li><a title="' . __('Recent pics','pwg') . '" href="' . $piwigo_url . 'index.php?recent_pics' . '">' . __('Recent pics','pwg') . '</a></li>';
 
 if ($calendar == 'true') 
-	echo '<li><a title="' . __('Calendar') . '" href="' . $piwigo_url . 'index.php?created-monthly-calendar' . '">' . __('Calendar') . '</a></li>';
+	echo '<li><a title="' . __('Calendar','pwg') . '" href="' . $piwigo_url . 'index.php?created-monthly-calendar' . '">' . __('Calendar','pwg') . '</a></li>';
 
 if ($tags == 'true') 
-	echo '<li><a title="' . __('Tags') . '" href="' . $piwigo_url . 'tags.php' . '">' . __('Tags') . '</a></li>';
+	echo '<li><a title="' . __('Tags','pwg') . '" href="' . $piwigo_url . 'tags.php' . '">' . __('Tags','pwg') . '</a></li>';
 
 if ($comments == 'true') 
-	echo '<li><a title="' . __('Comments') . '" href="' . $piwigo_url . 'comments.php' . '">' . __('Comments') . '</a></li>';
+	echo '<li><a title="' . __('Comments','pwg') . '" href="' . $piwigo_url . 'comments.php' . '">' . __('Comments','pwg') . '</a></li>';
 
 
Index: extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_options.php
===================================================================
--- extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_options.php	(revision 4057)
+++ extensions/Public_Piwigo_WordPress_Widget/Public_WP_Piwigo_options.php	(revision 4073)
@@ -31,77 +31,77 @@
 
 	// Options
-	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('title') . '">' . __('Title') 
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('title') . '">' . __('Title','pwg') 
 	. ' <input style="width: 250px;" id="' . $this->get_field_id('title') . '" name="' . $this->get_field_name('title')
 	. '" type="text" value="' . $title . '" /></label></p>';
 	// Thumbnail
-	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('thumbnail') . '">' . __('Get thumbnails') 
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('thumbnail') . '">' . __('Get thumbnails','pwg') 
 	. ' <input style="width: 50px;" id="' . $this->get_field_id('thumbnail') . '" name="' . $this->get_field_name('thumbnail')
 	. '" type="checkbox" value="true" ' . $thumbnail . '/></label></p>';
 	// Piwigo directory
-	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('piwigo') . '">' . __('<strong>Local</strong> directory (if local)') 
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('piwigo') . '">' . __('<strong>Local</strong> directory (if local)','pwg') 
 	. ' <input style="width: 200px;" id="' . $this->get_field_id('piwigo') . '" name="' . $this->get_field_name('piwigo')
 	. '" type="text" value="' . $piwigo . '" /></label></p>';
 	// External website
-	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('external') . '">' . __('(or) <strong>External</strong> gallery URL') 
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('external') . '">' . __('(or) <strong>External</strong> gallery URL','pwg') 
 	. ' <input style="width: 250px;" id="' . $this->get_field_id('external') . '" name="' . $this->get_field_name('external')
 	. '" type="text" value="' . $external . '" /></label></p>';
 	// number of pictures
-	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('number') . '">' . __('Number of pictures (0=none)') 
+	echo '<p style="text-align:right;"><label for="' . $this->get_field_name('number') . '">' . __('Number of pictures (0=none)','pwg') 
 	. ' <input style="width: 30px;" id="' . $this->get_field_id('number') . '" name="' . $this->get_field_name('number')
 	. '" type="text" value="' . $number . '" /></label></p>';
 	// Optional parameters
-	echo '<h5>' . __('Optional parameters') . '</h5>';
+	echo '<h5>' . __('Optional parameters','pwg') . '</h5>';
 	// Selected category
-	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('category') . '">' . __('Category id (0=all)') 
+	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('category') . '">' . __('Category id (0=all)','pwg') 
 	. ' <input style="width: 30px;" id="' . $this->get_field_id('category') . '" name="' . $this->get_field_name('category')
 	. '" type="text" value="' . $category . '" /></label></p>';
 	// from
-	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('from') . '">' . __('Since X months (0=all)') 
+	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('from') . '">' . __('Since X months (0=all)','pwg') 
 	. ' <input style="width: 30px;" id="' . $this->get_field_id('from') . '" name="' . $this->get_field_name('from')
 	. '" type="text" value="' . $from . '" /></label></p>';
 	// divclass
-	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('divclass') . '">' . __('CSS DIV class') 
+	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('divclass') . '">' . __('CSS DIV class','pwg') 
 	. ' <input style="width: 200px;" id="' . $this->get_field_id('divclass') . '" name="' . $this->get_field_name('divclass')
 	. '" type="text" value="' . $divclass . '" /></label></p>';
 	// class
-	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('class') . '">' . __('CSS IMG class') 
+	echo '<p style="text-align:right; font-size:8px; margin:0;"><label for="' . $this->get_field_name('class') . '">' . __('CSS IMG class','pwg') 
 	. ' <input style="width: 200px;" id="' . $this->get_field_id('class') . '" name="' . $this->get_field_name('class')
 	. '" type="text" value="' . $class . '" /></label></p>';
 
 	// The categories menu
-	echo '<table><tr><td style="text-align:right; font-size:8px;" colspan="2"><label for="' . $this->get_field_name('mbcategories') . '">' . __('Categories menu') 
+	echo '<table><tr><td style="text-align:right; font-size:8px;" colspan="2"><label for="' . $this->get_field_name('mbcategories') . '">' . __('Categories menu','pwg') 
 	. ' <input style="width: 50px;" id="' . $this->get_field_id('mbcategories') . '" name="' . $this->get_field_name('mbcategories')
 	. '" type="checkbox" value="true" ' . $mbcategories . '/></label></td>';
 	// The most visited
-	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('most_visited') . '">' . __('Most visited') 
+	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('most_visited') . '">' . __('Most visited','pwg') 
 	. ' <input style="width: 50px;" id="' . $this->get_field_id('most_visited') . '" name="' . $this->get_field_name('most_visited')
 	. '" type="checkbox" value="true" ' . $most_visited . '/></label></td>';
 	// The best rated
-	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('best_rated') . '">' . __('Best rated') 
+	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('best_rated') . '">' . __('Best rated','pwg') 
 	. ' <input style="width: 50px;" id="' . $this->get_field_id('best_rated') . '" name="' . $this->get_field_name('best_rated')
 	. '" type="checkbox" value="true" ' . $best_rated . '/></label></td>';
 	// The most commented
-	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('most_commented') . '">' . __('Most commented') 
+	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('most_commented') . '">' . __('Most commented','pwg') 
 	. ' <input style="width: 50px;" id="' . $this->get_field_id('most_commented') . '" name="' . $this->get_field_name('most_commented')
 	. '" type="checkbox" value="true" ' . $most_commented . '/></label></td>';
 	// The random link
-	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('random') . '">' . __('Random') 
+	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('random') . '">' . __('Random','pwg') 
 	. ' <input style="width: 50px;" id="' . $this->get_field_id('random') . '" name="' . $this->get_field_name('random')
 	. '" type="checkbox" value="true" ' . $random . '/></label></td>';
 	// The recent pics
-	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('recent_pics') . '">' . __('Recent pics') 
+	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('recent_pics') . '">' . __('Recent pics','pwg') 
 	. ' <input style="width: 50px;" id="' . $this->get_field_id('recent_pics') . '" name="' . $this->get_field_name('recent_pics')
 	. '" type="checkbox" value="true" ' . $recent_pics . '/></label></td>';
 	// The calendar
-	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('calendar') . '">' . __('Calendar') 
-	. ' <input style="width: 50px;" id="' . $this->get_field_id('calendar') . '" name="' . $this->get_field_name('calendar')
+	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('calendar') . '">' . __('Calendar','pwg') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('calendar') . '" name="' . $this->get_field_name('calendar','pwg')
 	. '" type="checkbox" value="true" ' . $calendar . '/></label></td>';
 	// The random
-	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('tags') . '">' . __('Tags') 
+	echo '</tr><tr><td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('tags') . '">' . __('Tags','pwg') 
 	. ' <input style="width: 50px;" id="' . $this->get_field_id('tags') . '" name="' . $this->get_field_name('tags')
 	. '" type="checkbox" value="true" ' . $random . '/></label></td>';
 	// The tags
-	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('comments') . '">' . __('Comments') 
-	. ' <input style="width: 50px;" id="' . $this->get_field_id('comments') . '" name="' . $this->get_field_name('comments')
+	echo '<td style="text-align:right; font-size:8px;"><label for="' . $this->get_field_name('comments') . '">' . __('Comments','pwg') 
+	. ' <input style="width: 50px;" id="' . $this->get_field_id('comments') . '" name="' . $this->get_field_name('comments','pwg')
 	. '" type="checkbox" value="true" ' . $tags . '/></label></td></tr></table>';
 
Index: extensions/Public_Piwigo_WordPress_Widget/default.po
===================================================================
--- extensions/Public_Piwigo_WordPress_Widget/default.po	(revision 4073)
+++ extensions/Public_Piwigo_WordPress_Widget/default.po	(revision 4073)
@@ -0,0 +1,115 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: Public_Piwigo_WordPress_Widget\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-10-20 11:38+0100\n"
+"PO-Revision-Date: \n"
+"Last-Translator: Laurent Duretz <laurent@duretz.net>\n"
+"Language-Team: Laurent Duretz <laurent@duretz.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplural=2; plural(n !=1)\n"
+"X-Poedit-Language: French\n"
+"X-Poedit-Country: FRANCE\n"
+"X-Poedit-SourceCharset: utf-8\n"
+"X-Poedit-KeywordsList: __;_e;_c\n"
+"X-Poedit-Basepath: C:\\Documents and Settings\\wskq7055\\Desktop\\\n"
+"X-Poedit-SearchPath-0: Public_Piwigo_WordPress_Widget_1.00\n"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:64
+msgid "Pictures categories"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:77
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
+msgid "Most visited"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:80
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
+msgid "Best rated"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:83
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
+msgid "Most commented"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:86
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
+msgid "Random"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:89
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
+msgid "Recent pics"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:92
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
+msgid "Calendar"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:95
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
+msgid "Tags"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:98
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
+msgid "Comments"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
+msgid "Random picture"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
+msgid "Title"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
+msgid "Get thumbnails"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
+msgid "<strong>Local</strong> directory (if local)"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
+msgid "(or) <strong>External</strong> gallery URL"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
+msgid "Number of pictures (0=none)"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
+msgid "Optional parameters"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
+msgid "Category id (0=all)"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
+msgid "Since X months (0=all)"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
+msgid "CSS DIV class"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
+msgid "CSS IMG class"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
+msgid "Categories menu"
+msgstr ""
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:34
+msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
+msgstr ""
+
Index: extensions/Public_Piwigo_WordPress_Widget/pwg-fr_FR.po
===================================================================
--- extensions/Public_Piwigo_WordPress_Widget/pwg-fr_FR.po	(revision 4073)
+++ extensions/Public_Piwigo_WordPress_Widget/pwg-fr_FR.po	(revision 4073)
@@ -0,0 +1,115 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: Public_Piwigo_WordPress_Widget\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-10-20 11:52+0100\n"
+"PO-Revision-Date: \n"
+"Last-Translator: Laurent Duretz <laurent@duretz.net>\n"
+"Language-Team: Laurent Duretz <laurent@duretz.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplural=2; plural(n !=1)\n"
+"X-Poedit-Language: French\n"
+"X-Poedit-Country: FRANCE\n"
+"X-Poedit-SourceCharset: utf-8\n"
+"X-Poedit-KeywordsList: __;_e;_c\n"
+"X-Poedit-Basepath: C:\\Documents and Settings\\wskq7055\\Desktop\\\n"
+"X-Poedit-SearchPath-0: Public_Piwigo_WordPress_Widget_1.00\n"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:66
+msgid "Pictures categories"
+msgstr "Catégorie d'images"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:79
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
+msgid "Most visited"
+msgstr "Plus populaires"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:82
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
+msgid "Best rated"
+msgstr "Mieux notées"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:85
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
+msgid "Most commented"
+msgstr "Plus commentées"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:88
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
+msgid "Random"
+msgstr "Aléatoire"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:91
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
+msgid "Recent pics"
+msgstr "Images récentes"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:94
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
+msgid "Calendar"
+msgstr "Calendrier"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:97
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
+msgid "Tags"
+msgstr "Tags"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:100
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
+msgid "Comments"
+msgstr "Commentaires"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
+msgid "Random picture"
+msgstr "Images aléatoires"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
+msgid "Title"
+msgstr "Titre"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
+msgid "Get thumbnails"
+msgstr "Obtenir les miniatures"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
+msgid "<strong>Local</strong> directory (if local)"
+msgstr "Répertoire <strong>local</strong> (si local)"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
+msgid "(or) <strong>External</strong> gallery URL"
+msgstr "(ou) URL de la galerie <strong>externe</strong>"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
+msgid "Number of pictures (0=none)"
+msgstr "Nombre d'images (0=aucune)"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
+msgid "Optional parameters"
+msgstr "Paramètres optionnels"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
+msgid "Category id (0=all)"
+msgstr "Id de la catégorie (0=toutes)"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
+msgid "Since X months (0=all)"
+msgstr "Depuis X mois (0=tous)"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
+msgid "CSS DIV class"
+msgstr "Classe CSS pour DIV"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
+msgid "CSS IMG class"
+msgstr "Classe CSS pour IMG"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
+msgid "Categories menu"
+msgstr "Menu des catégories"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:34
+msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
+msgstr "Ajouter une miniature et son lien (vers l'image) dans la barre latérale du blog"
+