Index: /extensions/Public_Piwigo_WordPress_Widget/pwg-es_ES.po
===================================================================
--- /extensions/Public_Piwigo_WordPress_Widget/pwg-es_ES.po	(revision 4074)
+++ /extensions/Public_Piwigo_WordPress_Widget/pwg-es_ES.po	(revision 4074)
@@ -0,0 +1,115 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: Public_Piwigo_WordPress_Widget\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-10-20 11:52+0100\n"
+"PO-Revision-Date: \n"
+"Last-Translator: ddtddt <ddtddt@piwigo.org>\n"
+"Language-Team: Laurent Duretz <laurent@duretz.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplural=2; plural(n !=1)\n"
+"X-Poedit-Language: French\n"
+"X-Poedit-Country: FRANCE\n"
+"X-Poedit-SourceCharset: utf-8\n"
+"X-Poedit-KeywordsList: __;_e;_c\n"
+"X-Poedit-Basepath: C:\\Documents and Settings\\wskq7055\\Desktop\\\n"
+"X-Poedit-SearchPath-0: Public_Piwigo_WordPress_Widget_1.00\n"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:66
+msgid "Pictures categories"
+msgstr "Categoría de imágenes"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:79
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
+msgid "Most visited"
+msgstr "Más populares"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:82
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
+msgid "Best rated"
+msgstr "Mejor anotadas"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:85
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
+msgid "Most commented"
+msgstr "Más comentadas"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:88
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
+msgid "Random"
+msgstr "Aleatorio"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:91
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
+msgid "Recent pics"
+msgstr "Imágenes recientes"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:94
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
+msgid "Calendar"
+msgstr "Calendario"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:97
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
+msgid "Tags"
+msgstr "Tags"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:100
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
+msgid "Comments"
+msgstr "Comentarios"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
+msgid "Random picture"
+msgstr "Imágenes aleatorias"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
+msgid "Title"
+msgstr "Título"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
+msgid "Get thumbnails"
+msgstr "Obtener las miniaturas"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
+msgid "<strong>Local</strong> directory (if local)"
+msgstr "Repertorio <strong>local</strong> (tan local)"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
+msgid "(or) <strong>External</strong> gallery URL"
+msgstr "(o) URL de la galería <strong>externa</strong>"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
+msgid "Number of pictures (0=none)"
+msgstr "Número de imágenes (0=ninguno)"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
+msgid "Optional parameters"
+msgstr "Parámetros opcionales"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
+msgid "Category id (0=all)"
+msgstr "Id de la categoría (0=todas)"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
+msgid "Since X months (0=all)"
+msgstr "Después X mes (0=todos)"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
+msgid "CSS DIV class"
+msgstr "Clasifica a CSS para DIV"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
+msgid "CSS IMG class"
+msgstr "Clasifica a CSS para IMG"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
+msgid "Categories menu"
+msgstr "Menú de las categorías"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:34
+msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
+msgstr "Añadir una miniatura y su enlaces (hacia la imagen) en la barra lateral del blog"
+