Index: /extensions/nbc_ThemeChanger/README.txt
===================================================================
--- /extensions/nbc_ThemeChanger/README.txt	(revision 4082)
+++ /extensions/nbc_ThemeChanger/README.txt	(revision 4083)
@@ -7,4 +7,4 @@
 
 
-ThemeChanger permette di precisare per ogni categoria un tema diverso. 
-Per le categorie non precisato, il tema da difetto è applicato.
+ThemeChanger permette di precisare un tema diverso per ogni categoria. 
+Le categorie per lequali non è stato precisato nessun tema, viene applicato quello di default.
Index: /extensions/nbc_ThemeChanger/Version.txt
===================================================================
--- /extensions/nbc_ThemeChanger/Version.txt	(revision 4082)
+++ /extensions/nbc_ThemeChanger/Version.txt	(revision 4083)
@@ -24,10 +24,10 @@
 
 [lang=IT]
-Aggiunta della possibilità di applicare alle sotto-categorie la modificazione della tema.
-Aggiunta la denominazione completa della categoria ("Photo/Nuit" invece di "Nuit" solo).
+Aggiunta della possibilità di applicare la modifica del tema a tutte le sotto-categorie selezionate.
+Aggiunta del albero completo della categoria ("Foto/Di_Notte" invece di solamente "Di_Notte").
 Correzione della funzionalità "Modificare". "Modificare l'associazione" riempirà correttamente il formulario.
 Aggiunta della lingua italiana
 
-fogli modificati :
+File modificati :
 	language/*
 	admin/nbc_ThemeChanger_admin.php
Index: /extensions/nbc_ThemeChanger/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/nbc_ThemeChanger/language/it_IT/plugin.lang.php	(revision 4082)
+++ /extensions/nbc_ThemeChanger/language/it_IT/plugin.lang.php	(revision 4083)
@@ -4,5 +4,5 @@
 $lang['action'] = 'Azione';
 $lang['modify_assoc'] = 'Modificare l\'associazione';
-$lang['delete_assoc']='Sopprimere l\'associazione';
+$lang['delete_assoc']='Cancellare l\'associazione';
 $lang['nbc_ThemeChanger_save_config']='Configurazione salvata.';
 $lang['subCategoriesApply']='Applicare alle Sotto-Categorie?';
Index: /extensions/pLoader/trunk/locale/it_IT/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/it_IT/pLoader.po	(revision 4082)
+++ /extensions/pLoader/trunk/locale/it_IT/pLoader.po	(revision 4083)
@@ -92,30 +92,54 @@
 msgstr "Commento :"
 
+msgid "Chinese"
+msgstr "Cinese"
+
+msgid "Czech"
+msgstr "Ceco"
+
+msgid "Danish"
+msgstr "Danese"
+
+msgid "English"
+msgstr "Inglese"
+
+msgid "German"
+msgstr "Tedesco"
+
+msgid "Spanish"
+msgstr "Spagnolo"
+
 msgid "French"
 msgstr "Francese"
 
-msgid "English"
-msgstr "Inglese"
+msgid "Italian"
+msgstr "Italiano"
+
+msgid "Japanese"
+msgstr "Giapponese"
+
+msgid "Dutch"
+msgstr "Olandese"
+
+msgid "Polish"
+msgstr "Polacco"
+
+msgid "Portuguese Brazil"
+msgstr "Portoghese Brasile"
+
+msgid "Portuguese Portugal"
+msgstr "Portoghese Portogallo"
 
 msgid "Russian"
 msgstr "Russo"
 
-msgid "Italian"
-msgstr "Italiano"
-
-msgid "German"
-msgstr "Tedesco"
-
-msgid "Spanish"
-msgstr "Spagnolo"
-
-msgid "Portuguese"
-msgstr "Portoghese"
-
-msgid "Dutch"
-msgstr "Olandese"
-
-msgid "Polish"
-msgstr "Polacco"
+msgid "Slovak"
+msgstr "Slovacco"
+
+msgid "Brasil"
+msgstr "Brasiliano"
+
+msgid "pLoader needs to be restarted to display the new selected language"
+msgstr "pLoader deve essere rilanciato per visualizzare la nuova lingua selezzionata"
 
 msgid "Piwigo categories"
@@ -131,4 +155,10 @@
 msgstr "Preferenze"
 
+msgid "Advanced"
+msgstr "Avancé"
+
+msgid "Transfert chunk size :"
+msgstr "Dimensione dei blocci di trasferimento :"
+
 msgid "General"
 msgstr "Generale"
@@ -144,5 +174,5 @@
 
 msgid "Photo selection"
-msgstr "foto selezionate"
+msgstr "Foto selezionate"
 
 msgid "Language choice"
@@ -338,4 +368,10 @@
 msgstr "Aggiungere un nuovo album"
 
+msgid "Album name :"
+msgstr "Nom de l'album :"
+
+msgid "New album"
+msgstr "Nouvel album"
+
 msgid "Refresh"
 msgstr "Aggiornare"