Index: /extensions/Public_Piwigo_WordPress_Widget/pwg-it_IT.po
===================================================================
--- /extensions/Public_Piwigo_WordPress_Widget/pwg-it_IT.po	(revision 4084)
+++ /extensions/Public_Piwigo_WordPress_Widget/pwg-it_IT.po	(revision 4084)
@@ -0,0 +1,115 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: Public_Piwigo_WordPress_Widget\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-10-20 11:52+0100\n"
+"PO-Revision-Date: \n"
+"Last-Translator: Karim AGREBI <rio@piwigo.org>\n"
+"Language-Team: Laurent Duretz <laurent@duretz.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplural=2; plural(n !=1)\n"
+"X-Poedit-Language: French\n"
+"X-Poedit-Country: FRANCE\n"
+"X-Poedit-SourceCharset: utf-8\n"
+"X-Poedit-KeywordsList: __;_e;_c\n"
+"X-Poedit-Basepath: C:\\Documents and Settings\\wskq7055\\Desktop\\\n"
+"X-Poedit-SearchPath-0: Public_Piwigo_WordPress_Widget_1.00\n"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:66
+msgid "Pictures categories"
+msgstr "Categorie d'immagini"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:79
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:76
+msgid "Most visited"
+msgstr "Le più viste"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:82
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:80
+msgid "Best rated"
+msgstr "Le più votate"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:85
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:84
+msgid "Most commented"
+msgstr "Plus commentées"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:88
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:88
+msgid "Random"
+msgstr "Random"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:91
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:92
+msgid "Recent pics"
+msgstr "Immagini recenti"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:94
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:96
+msgid "Calendar"
+msgstr "Calendario"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:97
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:100
+msgid "Tags"
+msgstr "Tags"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_code.php:100
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:104
+msgid "Comments"
+msgstr "Commenti"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:6
+msgid "Random picture"
+msgstr "Immagini a caso"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:33
+msgid "Title"
+msgstr "Titolo"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:37
+msgid "Get thumbnails"
+msgstr "Ottenere le miniature"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:41
+msgid "<strong>Local</strong> directory (if local)"
+msgstr "Directory <strong>locale</strong> (se locale)"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:45
+msgid "(or) <strong>External</strong> gallery URL"
+msgstr "(o) URL della galleria <strong>esterna</strong>"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:49
+msgid "Number of pictures (0=none)"
+msgstr "Numero d'immagini (0=nessuna)"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:53
+msgid "Optional parameters"
+msgstr "Parametri facoltativi"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:55
+msgid "Category id (0=all)"
+msgstr "Id della categoria (0=tutte)"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:59
+msgid "Since X months (0=all)"
+msgstr "Da X mesi (0=tutti)"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:63
+msgid "CSS DIV class"
+msgstr "Classe CSS per DIV"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:67
+msgid "CSS IMG class"
+msgstr "Classe CSS per IMG"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_options.php:72
+msgid "Categories menu"
+msgstr "Menu delle categorie"
+
+#: Public_Piwigo_WordPress_Widget_1.00/Public_WP_Piwigo_Widget.php:34
+msgid "Adds a thumbnail and its link (to the picture) inside your blog sidebar."
+msgstr "Aggiungere una miniatura ed il suo link (verso l'immagine) nella barra laterale del blog"
+
Index: /extensions/autoupdate/language/it_IT/description.txt
===================================================================
--- /extensions/autoupdate/language/it_IT/description.txt	(revision 4084)
+++ /extensions/autoupdate/language/it_IT/description.txt	(revision 4084)
@@ -0,0 +1,1 @@
+Mantenete aggiorno la vostra galleria automaticamente