Index: /extensions/pLoader/trunk/locale/zh_CN/gs.html
===================================================================
--- /extensions/pLoader/trunk/locale/zh_CN/gs.html	(revision 4093)
+++ /extensions/pLoader/trunk/locale/zh_CN/gs.html	(revision 4093)
@@ -0,0 +1,23 @@
+﻿<html>
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
+</head>
+<body text="#E15918" link="#E15918">
+    <font size=5 face="verdana, arial">
+    <img src="../res/piwigo_logo.png" />
+    <br />
+    <br />
+    点击以下链接开始使用 pLoader.
+    <br />
+    <br />
+    <br />
+    1. <a href="new_album">添加新相册。</a>
+    <br />
+    <br />
+    2. <a href="add_photos">添加相片到选择区域。</a>
+    <br />
+    <br />
+    3. <a href="upload_photos">上传选择区域的相片到您的相册。</a>
+    </font>
+</body>
+</html>
Index: /extensions/pLoader/trunk/locale/zh_CN/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/zh_CN/pLoader.po	(revision 4093)
+++ /extensions/pLoader/trunk/locale/zh_CN/pLoader.po	(revision 4093)
@@ -0,0 +1,363 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: Piwigo pLoader\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-10-10 11:36+0100\n"
+"PO-Revision-Date: \n"
+"Last-Translator: ron osman <ron@piwigo.com>\n"
+"Language-Team: Piwigo team <team@piwigo.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Basepath: .\n"
+"X-Poedit-SearchPath-0: C:/strawberry/perl/site/lib/Uploader/GUI\n"
+"X-Poedit-SearchPath-1: d:/pLoader/res\n"
+
+msgid "Select photos for upload"
+msgstr "选择要上传的相片"
+
+msgid "JPEG files"
+msgstr "JPEG 文件"
+
+msgid "Default author :"
+msgstr "默认作者："
+
+msgid "Photo caption  prefix :"
+msgstr "相片标题前缀："
+
+msgid "Site thumbnail size :"
+msgstr "网站缩略图尺寸："
+
+msgid "Site image width :"
+msgstr "网站图片宽度："
+
+msgid "Site image height :"
+msgstr "网站图片高度："
+
+msgid "Auto rotate image :"
+msgstr "自动旋转图片："
+
+msgid "Upload high (original size) "
+msgstr "上传高度 ( 原始尺寸 )"
+
+msgid "Yes"
+msgstr "是的"
+
+msgid "No"
+msgstr "不是"
+
+msgid "Admin. username :"
+msgstr "管理员，用户名："
+
+msgid "Admin. password :"
+msgstr "管理员，密码："
+
+msgid "OK"
+msgstr "确定"
+
+msgid "Cancel"
+msgstr "取消"
+
+msgid "Create date :"
+msgstr "创建日期："
+
+msgid "Width :"
+msgstr "宽度："
+
+msgid "Height :"
+msgstr "高度："
+
+msgid "Orientation :"
+msgstr "方向："
+
+msgid "Shutter speed :"
+msgstr "快门："
+
+msgid "Aperture :"
+msgstr "光圈："
+
+msgid "Focal length :"
+msgstr "焦距："
+
+msgid "Model :"
+msgstr "模特儿："
+
+msgid "Lens :"
+msgstr "镜头："
+
+msgid "Author :"
+msgstr "作者："
+
+msgid "Comment :"
+msgstr "评论："
+
+msgid "French"
+msgstr "法国"
+
+msgid "English"
+msgstr "英国"
+
+msgid "Russian"
+msgstr "俄罗斯"
+
+msgid "Italian"
+msgstr "意大利"
+
+msgid "German"
+msgstr "德国"
+
+msgid "Spanish"
+msgstr "西班牙"
+
+msgid "Portuguese"
+msgstr "葡萄牙"
+
+msgid "Dutch"
+msgstr "荷兰"
+
+msgid "Polish"
+msgstr "波兰"
+
+msgid "Piwigo categories"
+msgstr "Piwigo 类别"
+
+msgid "Photo properties"
+msgstr "相片属性"
+
+msgid "Tools"
+msgstr "工具"
+
+msgid "Global settings"
+msgstr "全局设置"
+
+msgid "General"
+msgstr "一般"
+
+msgid "Resized"
+msgstr "改变尺寸"
+
+msgid "Thumbnail"
+msgstr "缩略图"
+
+msgid "Preview"
+msgstr "预览"
+
+msgid "Photo selection"
+msgstr "选择的相片"
+
+msgid "Language choice"
+msgstr "语言选择"
+
+msgid "Choose a language"
+msgstr "选择一个语言"
+
+msgid "Upload to Piwigo"
+msgstr "上传到 Piwigo"
+
+msgid "Remove photo from selection"
+msgstr "移除选择区里的相片"
+
+msgid "Add photo to selection"
+msgstr "添加相片到选择区"
+
+msgid "Not connected"
+msgstr "没有连接上"
+
+msgid "Connection to"
+msgstr "连接到"
+
+msgid "failed"
+msgstr "失败"
+
+msgid "Piwigo login"
+msgstr "登录 Piwigo"
+
+msgid "Piwigo login error"
+msgstr "Piwigo 登录错误"
+
+msgid "Please select a valid target category"
+msgstr "请选择一个有效的目标目录"
+
+msgid "Piwigo upload error"
+msgstr "Piwigo 上传错误"
+
+msgid "Category name :"
+msgstr "类别名称："
+
+msgid "Add new category"
+msgstr "添加新类别"
+
+msgid "New category"
+msgstr "新类别"
+
+msgid "Upload cancelled"
+msgstr "上传已被取消"
+
+msgid "Image upload progress information"
+msgstr "图片上传进度"
+
+msgid "Cancel upload"
+msgstr "取消上传"
+
+msgid "Piwigo upload information"
+msgstr "Piwigo 上传情况"
+
+msgid "Processing"
+msgstr "正在处理"
+
+msgid "images processed"
+msgstr "图片已被处理"
+
+msgid "images uploaded"
+msgstr "图片已上传"
+
+msgid "images in errors and not uploaded"
+msgstr "图片上传出错，上传失败"
+
+msgid "Duration"
+msgstr "期间"
+
+msgid "Categories"
+msgstr "类别"
+
+msgid "categories"
+msgstr "类别"
+
+msgid "Categorie"
+msgstr "类别"
+
+msgid "categorie"
+msgstr "类别"
+
+msgid "Album"
+msgstr "相册"
+
+msgid "Albums"
+msgstr "相册"
+
+msgid "album"
+msgstr "相册"
+
+msgid "albums"
+msgstr "相册"
+
+msgid "Photo caption :"
+msgstr "相片标题："
+
+msgid "File name :"
+msgstr "文件名："
+
+msgid "Default photo caption :"
+msgstr "默认相片标题："
+
+msgid "Resize site image :"
+msgstr "调整网站图片大小："
+
+msgid "Auto rotate :"
+msgstr "自动旋转："
+
+msgid "Upload high (original size) :"
+msgstr "上传高度（原始尺寸）"
+
+msgid "Site image jpeg quality :"
+msgstr "网站 jpeg 图片质量："
+
+msgid "Site image filter :"
+msgstr "网站图片过滤："
+
+msgid "Site image blur :"
+msgstr "网站图片模糊："
+
+msgid "Site image interlace :"
+msgstr "网站图片交错："
+
+msgid "Site thumbnail jpeg quality :"
+msgstr "网站 jpeg 文件的质量:"
+
+msgid "Photo selection thumbnail size :"
+msgstr "图片选择区的缩略图尺寸:"
+
+msgid "Photo selection thumbnail jpeg quality :"
+msgstr "图片选择区的 jpeg 缩略图质量:"
+
+msgid "Use exif preview when available :"
+msgstr "当 Exif 信息可用时，即显示出来："
+
+msgid "Custom preview ratio :"
+msgstr "自定义预览旋转比率:"
+
+msgid "Piwigo url"
+msgstr "Piwigo 网址"
+
+msgid "Connect"
+msgstr "连接"
+
+msgid "Work Offline"
+msgstr "离线操作"
+
+msgid "Exit"
+msgstr "退出"
+
+msgid "empty - work Offline"
+msgstr "空 - 离线操作"
+
+msgid "None"
+msgstr "没有"
+
+msgid "File name"
+msgstr "文件名"
+
+msgid "File path and name"
+msgstr "文件路径和名称"
+
+msgid "Prefix"
+msgstr "前缀"
+
+msgid "Prefix + rank number"
+msgstr "前缀 + 等级数"
+
+msgid "Rank number + prefix"
+msgstr "等级数 + 前缀"
+
+msgid "Prefix + create date chrono"
+msgstr "前缀 + 创建日期"
+
+msgid "Create date chrono + prefix"
+msgstr "创建日期 + 前缀"
+
+msgid "Photo"
+msgstr "相片"
+
+msgid "Image processing progress information"
+msgstr "图片处理进度信息"
+
+msgid "Cancel image processing"
+msgstr "取消图片处理"
+
+msgid "Add new album"
+msgstr "添加新相册"
+
+msgid "Album name :"
+msgstr "相册名称:"
+
+msgid "New album"
+msgstr "新相册"
+
+
+msgid "Refresh"
+msgstr "刷新"
+
+msgid "Expand all"
+msgstr "展开所有"
+
+msgid "Collapse all"
+msgstr "收缩所有"
+
+msgid "Getting started"
+msgstr "入门指南"
+
+msgid "Properties"
+msgstr "属性"
+
+msgid "Remove uploaded photo from selection :"
+msgstr "移除选择区里已上传的相片:"
Index: /extensions/pLoader/trunk/src/Uploader/GUI/wxFrameAUI.pm
===================================================================
--- /extensions/pLoader/trunk/src/Uploader/GUI/wxFrameAUI.pm	(revision 4092)
+++ /extensions/pLoader/trunk/src/Uploader/GUI/wxFrameAUI.pm	(revision 4093)
@@ -1200,5 +1200,5 @@
 
   my $languages = [
-             ["中文 (%s)", wxLANGUAGE_CHINESE, 'Chinese'],   
+             ["中文 (%s)", wxLANGUAGE_CHINESE_SIMPLIFIED, 'Chinese simplified'],   
              ["Česky (%s)", wxLANGUAGE_CZECH, 'Czech'],   
              ["Dansk (%s)", wxLANGUAGE_DANISH, 'Danish'],   