Index: extensions/pLoader/trunk/src/Uploader/GUI/wxFrameAUI.pm
===================================================================
--- extensions/pLoader/trunk/src/Uploader/GUI/wxFrameAUI.pm	(revision 4093)
+++ extensions/pLoader/trunk/src/Uploader/GUI/wxFrameAUI.pm	(revision 4096)
@@ -70,234 +70,4 @@
              wxICON_INFORMATION
              WXK_DELETE
-             wxLANGUAGE_ABKHAZIAN   
-             wxLANGUAGE_AFAR   
-             wxLANGUAGE_AFRIKAANS   
-             wxLANGUAGE_ALBANIAN   
-             wxLANGUAGE_AMHARIC   
-             wxLANGUAGE_ARABIC   
-             wxLANGUAGE_ARABIC_ALGERIA   
-             wxLANGUAGE_ARABIC_BAHRAIN   
-             wxLANGUAGE_ARABIC_EGYPT   
-             wxLANGUAGE_ARABIC_IRAQ   
-             wxLANGUAGE_ARABIC_JORDAN   
-             wxLANGUAGE_ARABIC_KUWAIT   
-             wxLANGUAGE_ARABIC_LEBANON   
-             wxLANGUAGE_ARABIC_LIBYA   
-             wxLANGUAGE_ARABIC_MOROCCO   
-             wxLANGUAGE_ARABIC_OMAN   
-             wxLANGUAGE_ARABIC_QATAR   
-             wxLANGUAGE_ARABIC_SAUDI_ARABIA   
-             wxLANGUAGE_ARABIC_SUDAN   
-             wxLANGUAGE_ARABIC_SYRIA   
-             wxLANGUAGE_ARABIC_TUNISIA   
-             wxLANGUAGE_ARABIC_UAE   
-             wxLANGUAGE_ARABIC_YEMEN   
-             wxLANGUAGE_ARMENIAN   
-             wxLANGUAGE_ASSAMESE   
-             wxLANGUAGE_AYMARA   
-             wxLANGUAGE_AZERI   
-             wxLANGUAGE_AZERI_CYRILLIC   
-             wxLANGUAGE_AZERI_LATIN   
-             wxLANGUAGE_BASHKIR   
-             wxLANGUAGE_BASQUE   
-             wxLANGUAGE_BELARUSIAN   
-             wxLANGUAGE_BENGALI   
-             wxLANGUAGE_BHUTANI   
-             wxLANGUAGE_BIHARI   
-             wxLANGUAGE_BISLAMA   
-             wxLANGUAGE_BRETON   
-             wxLANGUAGE_BULGARIAN   
-             wxLANGUAGE_BURMESE   
-             wxLANGUAGE_CAMBODIAN   
-             wxLANGUAGE_CATALAN   
-             wxLANGUAGE_CHINESE   
-             wxLANGUAGE_CHINESE_SIMPLIFIED   
-             wxLANGUAGE_CHINESE_TRADITIONAL   
-             wxLANGUAGE_CHINESE_HONGKONG   
-             wxLANGUAGE_CHINESE_MACAU   
-             wxLANGUAGE_CHINESE_SINGAPORE   
-             wxLANGUAGE_CHINESE_TAIWAN   
-             wxLANGUAGE_CORSICAN   
-             wxLANGUAGE_CROATIAN   
-             wxLANGUAGE_CZECH   
-             wxLANGUAGE_DANISH   
-             wxLANGUAGE_DUTCH   
-             wxLANGUAGE_DUTCH_BELGIAN   
-             wxLANGUAGE_ENGLISH   
-             wxLANGUAGE_ENGLISH_UK   
-             wxLANGUAGE_ENGLISH_US   
-             wxLANGUAGE_ENGLISH_AUSTRALIA   
-             wxLANGUAGE_ENGLISH_BELIZE   
-             wxLANGUAGE_ENGLISH_BOTSWANA   
-             wxLANGUAGE_ENGLISH_CANADA   
-             wxLANGUAGE_ENGLISH_CARIBBEAN   
-             wxLANGUAGE_ENGLISH_DENMARK   
-             wxLANGUAGE_ENGLISH_EIRE   
-             wxLANGUAGE_ENGLISH_JAMAICA   
-             wxLANGUAGE_ENGLISH_NEW_ZEALAND   
-             wxLANGUAGE_ENGLISH_PHILIPPINES   
-             wxLANGUAGE_ENGLISH_SOUTH_AFRICA   
-             wxLANGUAGE_ENGLISH_TRINIDAD   
-             wxLANGUAGE_ENGLISH_ZIMBABWE   
-             wxLANGUAGE_ESPERANTO   
-             wxLANGUAGE_ESTONIAN   
-             wxLANGUAGE_FAEROESE   
-             wxLANGUAGE_FARSI   
-             wxLANGUAGE_FIJI   
-             wxLANGUAGE_FINNISH   
-             wxLANGUAGE_FRENCH   
-             wxLANGUAGE_FRENCH_BELGIAN   
-             wxLANGUAGE_FRENCH_CANADIAN   
-             wxLANGUAGE_FRENCH_LUXEMBOURG   
-             wxLANGUAGE_FRENCH_MONACO   
-             wxLANGUAGE_FRENCH_SWISS   
-             wxLANGUAGE_FRISIAN   
-             wxLANGUAGE_GALICIAN   
-             wxLANGUAGE_GEORGIAN   
-             wxLANGUAGE_GERMAN   
-             wxLANGUAGE_GERMAN_AUSTRIAN   
-             wxLANGUAGE_GERMAN_BELGIUM   
-             wxLANGUAGE_GERMAN_LIECHTENSTEIN   
-             wxLANGUAGE_GERMAN_LUXEMBOURG   
-             wxLANGUAGE_GERMAN_SWISS   
-             wxLANGUAGE_GREEK   
-             wxLANGUAGE_GREENLANDIC   
-             wxLANGUAGE_GUARANI   
-             wxLANGUAGE_GUJARATI   
-             wxLANGUAGE_HAUSA   
-             wxLANGUAGE_HEBREW   
-             wxLANGUAGE_HINDI   
-             wxLANGUAGE_HUNGARIAN   
-             wxLANGUAGE_ICELANDIC   
-             wxLANGUAGE_INDONESIAN   
-             wxLANGUAGE_INTERLINGUA   
-             wxLANGUAGE_INTERLINGUE   
-             wxLANGUAGE_INUKTITUT   
-             wxLANGUAGE_INUPIAK   
-             wxLANGUAGE_IRISH   
-             wxLANGUAGE_ITALIAN   
-             wxLANGUAGE_ITALIAN_SWISS   
-             wxLANGUAGE_JAPANESE   
-             wxLANGUAGE_JAVANESE   
-             wxLANGUAGE_KANNADA   
-             wxLANGUAGE_KASHMIRI   
-             wxLANGUAGE_KASHMIRI_INDIA   
-             wxLANGUAGE_KAZAKH   
-             wxLANGUAGE_KERNEWEK   
-             wxLANGUAGE_KINYARWANDA   
-             wxLANGUAGE_KIRGHIZ   
-             wxLANGUAGE_KIRUNDI   
-             wxLANGUAGE_KONKANI   
-             wxLANGUAGE_KOREAN   
-             wxLANGUAGE_KURDISH   
-             wxLANGUAGE_LAOTHIAN   
-             wxLANGUAGE_LATIN   
-             wxLANGUAGE_LATVIAN   
-             wxLANGUAGE_LINGALA   
-             wxLANGUAGE_LITHUANIAN   
-             wxLANGUAGE_MACEDONIAN   
-             wxLANGUAGE_MALAGASY   
-             wxLANGUAGE_MALAY   
-             wxLANGUAGE_MALAYALAM   
-             wxLANGUAGE_MALAY_BRUNEI_DARUSSALAM   
-             wxLANGUAGE_MALAY_MALAYSIA   
-             wxLANGUAGE_MALTESE   
-             wxLANGUAGE_MANIPURI   
-             wxLANGUAGE_MAORI   
-             wxLANGUAGE_MARATHI   
-             wxLANGUAGE_MOLDAVIAN   
-             wxLANGUAGE_MONGOLIAN   
-             wxLANGUAGE_NAURU   
-             wxLANGUAGE_NEPALI   
-             wxLANGUAGE_NEPALI_INDIA   
-             wxLANGUAGE_NORWEGIAN_BOKMAL   
-             wxLANGUAGE_NORWEGIAN_NYNORSK   
-             wxLANGUAGE_OCCITAN   
-             wxLANGUAGE_ORIYA   
-             wxLANGUAGE_OROMO   
-             wxLANGUAGE_PASHTO   
-             wxLANGUAGE_POLISH   
-             wxLANGUAGE_PORTUGUESE   
-             wxLANGUAGE_PORTUGUESE_BRAZILIAN   
-             wxLANGUAGE_PUNJABI   
-             wxLANGUAGE_QUECHUA   
-             wxLANGUAGE_RHAETO_ROMANCE   
-             wxLANGUAGE_ROMANIAN   
-             wxLANGUAGE_RUSSIAN   
-             wxLANGUAGE_RUSSIAN_UKRAINE   
-             wxLANGUAGE_SAMI   
-             wxLANGUAGE_SAMOAN   
-             wxLANGUAGE_SANGHO   
-             wxLANGUAGE_SANSKRIT   
-             wxLANGUAGE_SCOTS_GAELIC   
-             wxLANGUAGE_SERBIAN   
-             wxLANGUAGE_SERBIAN_CYRILLIC   
-             wxLANGUAGE_SERBIAN_LATIN   
-             wxLANGUAGE_SERBO_CROATIAN   
-             wxLANGUAGE_SESOTHO   
-             wxLANGUAGE_SETSWANA   
-             wxLANGUAGE_SHONA   
-             wxLANGUAGE_SINDHI   
-             wxLANGUAGE_SINHALESE   
-             wxLANGUAGE_SISWATI   
-             wxLANGUAGE_SLOVAK   
-             wxLANGUAGE_SLOVENIAN   
-             wxLANGUAGE_SOMALI   
-             wxLANGUAGE_SPANISH   
-             wxLANGUAGE_SPANISH_ARGENTINA   
-             wxLANGUAGE_SPANISH_BOLIVIA   
-             wxLANGUAGE_SPANISH_CHILE   
-             wxLANGUAGE_SPANISH_COLOMBIA   
-             wxLANGUAGE_SPANISH_COSTA_RICA   
-             wxLANGUAGE_SPANISH_DOMINICAN_REPUBLIC   
-             wxLANGUAGE_SPANISH_ECUADOR   
-             wxLANGUAGE_SPANISH_EL_SALVADOR   
-             wxLANGUAGE_SPANISH_GUATEMALA   
-             wxLANGUAGE_SPANISH_HONDURAS   
-             wxLANGUAGE_SPANISH_MEXICAN   
-             wxLANGUAGE_SPANISH_MODERN   
-             wxLANGUAGE_SPANISH_NICARAGUA   
-             wxLANGUAGE_SPANISH_PANAMA   
-             wxLANGUAGE_SPANISH_PARAGUAY   
-             wxLANGUAGE_SPANISH_PERU   
-             wxLANGUAGE_SPANISH_PUERTO_RICO   
-             wxLANGUAGE_SPANISH_URUGUAY   
-             wxLANGUAGE_SPANISH_US   
-             wxLANGUAGE_SPANISH_VENEZUELA   
-             wxLANGUAGE_SUNDANESE   
-             wxLANGUAGE_SWAHILI   
-             wxLANGUAGE_SWEDISH   
-             wxLANGUAGE_SWEDISH_FINLAND   
-             wxLANGUAGE_TAGALOG   
-             wxLANGUAGE_TAJIK   
-             wxLANGUAGE_TAMIL   
-             wxLANGUAGE_TATAR   
-             wxLANGUAGE_TELUGU   
-             wxLANGUAGE_THAI   
-             wxLANGUAGE_TIBETAN   
-             wxLANGUAGE_TIGRINYA   
-             wxLANGUAGE_TONGA   
-             wxLANGUAGE_TSONGA   
-             wxLANGUAGE_TURKISH   
-             wxLANGUAGE_TURKMEN   
-             wxLANGUAGE_TWI   
-             wxLANGUAGE_UIGHUR   
-             wxLANGUAGE_UKRAINIAN   
-             wxLANGUAGE_URDU   
-             wxLANGUAGE_URDU_INDIA   
-             wxLANGUAGE_URDU_PAKISTAN   
-             wxLANGUAGE_UZBEK   
-             wxLANGUAGE_UZBEK_CYRILLIC   
-             wxLANGUAGE_UZBEK_LATIN   
-             wxLANGUAGE_VALENCIAN   
-             wxLANGUAGE_VIETNAMESE   
-             wxLANGUAGE_VOLAPUK   
-             wxLANGUAGE_WELSH   
-             wxLANGUAGE_WOLOF   
-             wxLANGUAGE_XHOSA   
-             wxLANGUAGE_YIDDISH   
-             wxLANGUAGE_YORUBA   
-             wxLANGUAGE_ZHUANG   
-             wxLANGUAGE_ZULU  
          /;
 use base qw/Wx::Frame Class::Accessor::Fast/;
@@ -1199,21 +969,6 @@
     my ( $self ) = @_;	
 
-  my $languages = [
-             ["中文 (%s)", wxLANGUAGE_CHINESE_SIMPLIFIED, 'Chinese simplified'],   
-             ["Česky (%s)", wxLANGUAGE_CZECH, 'Czech'],   
-             ["Dansk (%s)", wxLANGUAGE_DANISH, 'Danish'],   
-             ["Deutsch (%s)", wxLANGUAGE_GERMAN, 'German'],   
-             ["English (%s)", wxLANGUAGE_ENGLISH, 'English'],   
-             ["Español (%s)", wxLANGUAGE_SPANISH, 'Spanish'],   
-             ["Français (%s)", wxLANGUAGE_FRENCH, 'French'],   
-             ["Italiano (%s)", wxLANGUAGE_ITALIAN, 'Italian'],   
-             ["日本語 (にほんご) (%s)", wxLANGUAGE_JAPANESE, 'Japanese'],   
-             ["Nederlands (%s)", wxLANGUAGE_DUTCH, 'Dutch'],   
-             ["Polski (%s)", wxLANGUAGE_POLISH, 'Polish'],   
-             ["Português Brasileiro (%s)", wxLANGUAGE_PORTUGUESE_BRAZILIAN, 'Portuguese Brazil'],   
-             ["Português Portugal (%s)", wxLANGUAGE_PORTUGUESE, 'Portuguese Portugal'],   
-             ["Русский (%s)", wxLANGUAGE_RUSSIAN, 'Russian'],
-             ["Slovenčina (%s)", wxLANGUAGE_SLOVAK, 'Slovak'],
-  ];
+  my $languages = wxTheApp->available_languages;
+
 
   my $dialog = new Wx::SingleChoiceDialog( 